## org.eclipse.datatools.connectivity.oda.design
Interface DesignPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface DesignPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `DesignFactory`

Nested Class Summary
`static interface` `DesignPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `AND_EXPRESSION` The meta object id for the '`And Expression`' class.
`static int` `AND_EXPRESSION__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` `AND_EXPRESSION__NEGATABLE` The feature id for the 'Negatable' attribute.
`static int` `AND_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'And Expression' class.
`static int` `ATOMIC_EXPRESSION_CONTEXT` The meta object id for the '`Atomic Expression Context`' class.
`static int` `ATOMIC_EXPRESSION_CONTEXT__ARGUMENTS` The feature id for the 'Arguments' containment reference.
`static int` `ATOMIC_EXPRESSION_CONTEXT__OPTIONAL` The feature id for the 'Optional' attribute.
`static int` `ATOMIC_EXPRESSION_CONTEXT__VARIABLE` The feature id for the 'Variable' containment reference.
`static int` `ATOMIC_EXPRESSION_CONTEXT_FEATURE_COUNT` The number of structural features of the 'Atomic Expression Context' class.
`static int` `AXIS_ATTRIBUTES` The meta object id for the '`Axis Attributes`' class.
`static int` `AXIS_ATTRIBUTES__AXIS_TYPE` The feature id for the 'Axis Type' attribute.
`static int` `AXIS_ATTRIBUTES__ON_COLUMN_LAYOUT` The feature id for the 'On Column Layout' attribute.
`static int` `AXIS_ATTRIBUTES__RELATED_COLUMNS` The feature id for the 'Related Columns' containment reference.
`static int` `AXIS_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Axis Attributes' class.
`static int` `AXIS_TYPE` The meta object id for the '`Axis Type`' enum.
`static int` `AXIS_TYPE_OBJECT` The meta object id for the 'Axis Type Object' data type.
`static int` `COLUMN_DEFINITION` The meta object id for the '`Column Definition`' class.
`static int` `COLUMN_DEFINITION__ATTRIBUTES` The feature id for the 'Attributes' containment reference.
`static int` `COLUMN_DEFINITION__MULTI_DIMENSION_ATTRIBUTES` The feature id for the 'Multi Dimension Attributes' containment reference.
`static int` `COLUMN_DEFINITION__USAGE_HINTS` The feature id for the 'Usage Hints' containment reference.
`static int` `COLUMN_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Column Definition' class.
`static int` `COMPOSITE_FILTER_EXPRESSION` The meta object id for the '`Composite Filter Expression`' class.
`static int` `COMPOSITE_FILTER_EXPRESSION__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` `COMPOSITE_FILTER_EXPRESSION__NEGATABLE` The feature id for the 'Negatable' attribute.
`static int` `COMPOSITE_FILTER_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Composite Filter Expression' class.
`static java.lang.String` `copyright`
`static int` `CUSTOM_DATA` The meta object id for the '`Custom Data`' class.
`static int` `CUSTOM_DATA__DISPLAY_VALUE` The feature id for the 'Display Value' attribute.
`static int` `CUSTOM_DATA__PROVIDER_ID` The feature id for the 'Provider Id' attribute.
`static int` `CUSTOM_DATA__VALUE` The feature id for the 'Value' attribute.
`static int` `CUSTOM_DATA_FEATURE_COUNT` The number of structural features of the 'Custom Data' class.
`static int` `CUSTOM_FILTER_EXPRESSION` The meta object id for the '`Custom Filter Expression`' class.
`static int` `CUSTOM_FILTER_EXPRESSION__CONTEXT` The feature id for the 'Context' containment reference.
`static int` `CUSTOM_FILTER_EXPRESSION__NEGATABLE` The feature id for the 'Negatable' attribute.
`static int` `CUSTOM_FILTER_EXPRESSION__TYPE` The feature id for the 'Type' containment reference.
`static int` `CUSTOM_FILTER_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Custom Filter Expression' class.
`static int` `DATA_ACCESS_DESIGN` The meta object id for the '`Data Access Design`' class.
`static int` `DATA_ACCESS_DESIGN__DATA_SET_DESIGN` The feature id for the 'Data Set Design' containment reference.
`static int` `DATA_ACCESS_DESIGN_FEATURE_COUNT` The number of structural features of the 'Data Access Design' class.
`static int` `DATA_ELEMENT_ATTRIBUTES` The meta object id for the '`Data Element Attributes`' class.
`static int` `DATA_ELEMENT_ATTRIBUTES__IDENTIFIER` The feature id for the 'Identifier' containment reference.
`static int` `DATA_ELEMENT_ATTRIBUTES__NAME` The feature id for the 'Name' attribute.
`static int` `DATA_ELEMENT_ATTRIBUTES__NATIVE_DATA_TYPE_CODE` The feature id for the 'Native Data Type Code' attribute.
`static int` `DATA_ELEMENT_ATTRIBUTES__NULLABILITY` The feature id for the 'Nullability' attribute.
`static int` `DATA_ELEMENT_ATTRIBUTES__POSITION` The feature id for the 'Position' attribute.
`static int` `DATA_ELEMENT_ATTRIBUTES__PRECISION` The feature id for the 'Precision' attribute.
`static int` `DATA_ELEMENT_ATTRIBUTES__SCALE` The feature id for the 'Scale' attribute.
`static int` `DATA_ELEMENT_ATTRIBUTES__UI_HINTS` The feature id for the 'Ui Hints' containment reference.
`static int` `DATA_ELEMENT_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Data Element Attributes' class.
`static int` `DATA_ELEMENT_IDENTIFIER` The meta object id for the '`Data Element Identifier`' class.
`static int` `DATA_ELEMENT_IDENTIFIER__NAME` The feature id for the 'Name' attribute.
`static int` `DATA_ELEMENT_IDENTIFIER__POSITION` The feature id for the 'Position' attribute.
`static int` `DATA_ELEMENT_IDENTIFIER_FEATURE_COUNT` The number of structural features of the 'Data Element Identifier' class.
`static int` `DATA_ELEMENT_IDENTIFIERS` The meta object id for the '`Data Element Identifiers`' class.
`static int` `DATA_ELEMENT_IDENTIFIERS__IDENTIFIERS` The feature id for the 'Identifiers' containment reference list.
`static int` `DATA_ELEMENT_IDENTIFIERS_FEATURE_COUNT` The number of structural features of the 'Data Element Identifiers' class.
`static int` `DATA_ELEMENT_UI_HINTS` The meta object id for the '`Data Element UI Hints`' class.
`static int` `DATA_ELEMENT_UI_HINTS__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `DATA_ELEMENT_UI_HINTS__DISPLAY_NAME` The feature id for the 'Display Name' attribute.
`static int` `DATA_ELEMENT_UI_HINTS_FEATURE_COUNT` The number of structural features of the 'Data Element UI Hints' class.
`static int` `DATA_SET_DESIGN` The meta object id for the '`Data Set Design`' class.
`static int` `DATA_SET_DESIGN__DATA_SOURCE_DESIGN` The feature id for the 'Data Source Design' containment reference.
`static int` `DATA_SET_DESIGN__DISPLAY_NAME` The feature id for the 'Display Name' attribute.
`static int` `DATA_SET_DESIGN__NAME` The feature id for the 'Name' attribute.
`static int` `DATA_SET_DESIGN__ODA_EXTENSION_DATA_SET_ID` The feature id for the 'Oda Extension Data Set Id' attribute.
`static int` `DATA_SET_DESIGN__PARAMETERS` The feature id for the 'Parameters' containment reference.
`static int` `DATA_SET_DESIGN__PRIMARY_RESULT_SET_NAME` The feature id for the 'Primary Result Set Name' attribute.
`static int` `DATA_SET_DESIGN__PRIVATE_PROPERTIES` The feature id for the 'Private Properties' containment reference.
`static int` `DATA_SET_DESIGN__PUBLIC_PROPERTIES` The feature id for the 'Public Properties' containment reference.
`static int` `DATA_SET_DESIGN__QUERY` The feature id for the 'Query' containment reference.
`static int` `DATA_SET_DESIGN__RESULT_SETS` The feature id for the 'Result Sets' containment reference.
`static int` `DATA_SET_DESIGN_FEATURE_COUNT` The number of structural features of the 'Data Set Design' class.
`static int` `DATA_SET_PARAMETERS` The meta object id for the '`Data Set Parameters`' class.
`static int` `DATA_SET_PARAMETERS__DERIVED_META_DATA` The feature id for the 'Derived Meta Data' attribute.
`static int` `DATA_SET_PARAMETERS__PARAMETER_DEFINITIONS` The feature id for the 'Parameter Definitions' containment reference list.
`static int` `DATA_SET_PARAMETERS_FEATURE_COUNT` The number of structural features of the 'Data Set Parameters' class.
`static int` `DATA_SET_QUERY` The meta object id for the '`Data Set Query`' class.
`static int` `DATA_SET_QUERY__QUERY_TEXT` The feature id for the 'Query Text' attribute.
`static int` `DATA_SET_QUERY_FEATURE_COUNT` The number of structural features of the 'Data Set Query' class.
`static int` `DATA_SOURCE_DESIGN` The meta object id for the '`Data Source Design`' class.
`static int` `DATA_SOURCE_DESIGN__DISPLAY_NAME` The feature id for the 'Display Name' attribute.
`static int` `DATA_SOURCE_DESIGN__HOST_RESOURCE_IDENTIFIERS` The feature id for the 'Host Resource Identifiers' containment reference.
`static int` `DATA_SOURCE_DESIGN__LINKED_PROFILE_NAME` The feature id for the 'Linked Profile Name' attribute.
`static int` `DATA_SOURCE_DESIGN__LINKED_PROFILE_STORE_FILE_PATH` The feature id for the 'Linked Profile Store File Path' attribute.
`static int` `DATA_SOURCE_DESIGN__NAME` The feature id for the 'Name' attribute.
`static int` `DATA_SOURCE_DESIGN__ODA_EXTENSION_DATA_SOURCE_ID` The feature id for the 'Oda Extension Data Source Id' attribute.
`static int` `DATA_SOURCE_DESIGN__ODA_EXTENSION_ID` The feature id for the 'Oda Extension Id' attribute.
`static int` `DATA_SOURCE_DESIGN__PRIVATE_PROPERTIES` The feature id for the 'Private Properties' containment reference.
`static int` `DATA_SOURCE_DESIGN__PUBLIC_PROPERTIES` The feature id for the 'Public Properties' containment reference.
`static int` `DATA_SOURCE_DESIGN__RESOURCE_FILE` The feature id for the 'Resource File' attribute.
`static int` `DATA_SOURCE_DESIGN_FEATURE_COUNT` The number of structural features of the 'Data Source Design' class.
`static int` `DESIGN_SESSION_REQUEST` The meta object id for the '`Session Request`' class.
`static int` `DESIGN_SESSION_REQUEST__DATA_ACCESS_DESIGN` The feature id for the 'Data Access Design' containment reference.
`static int` `DESIGN_SESSION_REQUEST__DESIGNER_STATE` The feature id for the 'Designer State' containment reference.
`static int` `DESIGN_SESSION_REQUEST__EDITABLE` The feature id for the 'Editable' attribute.
`static int` `DESIGN_SESSION_REQUEST__SESSION_LOCALE` The feature id for the 'Session Locale' containment reference.
`static int` `DESIGN_SESSION_REQUEST_FEATURE_COUNT` The number of structural features of the 'Session Request' class.
`static int` `DESIGN_SESSION_RESPONSE` The meta object id for the '`Session Response`' class.
`static int` `DESIGN_SESSION_RESPONSE__DATA_ACCESS_DESIGN` The feature id for the 'Data Access Design' containment reference.
`static int` `DESIGN_SESSION_RESPONSE__DESIGNER_STATE` The feature id for the 'Designer State' containment reference.
`static int` `DESIGN_SESSION_RESPONSE__SESSION_STATUS` The feature id for the 'Session Status' attribute.
`static int` `DESIGN_SESSION_RESPONSE_FEATURE_COUNT` The number of structural features of the 'Session Response' class.
`static int` `DESIGNER_STATE` The meta object id for the '`Designer State`' class.
`static int` `DESIGNER_STATE__STATE_CONTENT` The feature id for the 'State Content' containment reference.
`static int` `DESIGNER_STATE__VERSION` The feature id for the 'Version' attribute.
`static int` `DESIGNER_STATE_CONTENT` The meta object id for the '`Designer State Content`' class.
`static int` `DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_BLOB` The feature id for the 'State Content As Blob' attribute.
`static int` `DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_STRING` The feature id for the 'State Content As String' attribute.
`static int` `DESIGNER_STATE_CONTENT_FEATURE_COUNT` The number of structural features of the 'Designer State Content' class.
`static int` `DESIGNER_STATE_FEATURE_COUNT` The number of structural features of the 'Designer State' class.
`static int` `DOCUMENT_ROOT` The meta object id for the '`Document Root`' class.
`static int` `DOCUMENT_ROOT__MIXED` The feature id for the 'Mixed' attribute list.
`static int` `DOCUMENT_ROOT__ODA_DESIGN_SESSION` The feature id for the 'Oda Design Session' containment reference.
`static int` `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The feature id for the 'XMLNS Prefix Map' map.
`static int` `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The feature id for the 'XSI Schema Location' map.
`static int` `DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class.
`static int` `DYNAMIC_FILTER_EXPRESSION` The meta object id for the '`Dynamic Filter Expression`' class.
`static int` `DYNAMIC_FILTER_EXPRESSION__CONTEXT` The feature id for the 'Context' containment reference.
`static int` `DYNAMIC_FILTER_EXPRESSION__DEFAULT_TYPE` The feature id for the 'Default Type' containment reference.
`static int` `DYNAMIC_FILTER_EXPRESSION__NEGATABLE` The feature id for the 'Negatable' attribute.
`static int` `DYNAMIC_FILTER_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Dynamic Filter Expression' class.
`static int` `DYNAMIC_VALUES_QUERY` The meta object id for the '`Dynamic Values Query`' class.
`static int` `DYNAMIC_VALUES_QUERY__DATA_SET_DESIGN` The feature id for the 'Data Set Design' containment reference.
`static int` `DYNAMIC_VALUES_QUERY__DISPLAY_NAME_COLUMN` The feature id for the 'Display Name Column' attribute.
`static int` `DYNAMIC_VALUES_QUERY__ENABLED` The feature id for the 'Enabled' attribute.
`static int` `DYNAMIC_VALUES_QUERY__VALUE_COLUMN` The feature id for the 'Value Column' attribute.
`static int` `DYNAMIC_VALUES_QUERY__VALUE_COLUMN_IDENTIFIER` The feature id for the 'Value Column Identifier' containment reference.
`static int` `DYNAMIC_VALUES_QUERY_FEATURE_COUNT` The number of structural features of the 'Dynamic Values Query' class.
`static DesignPackage` `eINSTANCE` The singleton instance of the package.
`static int` `ELEMENT_NULLABILITY` The meta object id for the '`Element Nullability`' enum.
`static int` `ELEMENT_NULLABILITY_OBJECT` The meta object id for the 'Element Nullability Object' data type.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `EXPRESSION_ARGUMENTS` The meta object id for the '`Expression Arguments`' class.
`static int` `EXPRESSION_ARGUMENTS__EXPRESSION_PARAMETERS` The feature id for the 'Expression Parameters' containment reference.
`static int` `EXPRESSION_ARGUMENTS_FEATURE_COUNT` The number of structural features of the 'Expression Arguments' class.
`static int` `EXPRESSION_PARAMETER_DEFINITION` The meta object id for the '`Expression Parameter Definition`' class.
`static int` `EXPRESSION_PARAMETER_DEFINITION__DYNAMIC_INPUT_PARAMETER` The feature id for the 'Dynamic Input Parameter' containment reference.
`static int` `EXPRESSION_PARAMETER_DEFINITION__STATIC_VALUES` The feature id for the 'Static Values' containment reference.
`static int` `EXPRESSION_PARAMETER_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Expression Parameter Definition' class.
`static int` `EXPRESSION_PARAMETERS` The meta object id for the '`Expression Parameters`' class.
`static int` `EXPRESSION_PARAMETERS__PARAMETER_DEFINITIONS` The feature id for the 'Parameter Definitions' containment reference list.
`static int` `EXPRESSION_PARAMETERS_FEATURE_COUNT` The number of structural features of the 'Expression Parameters' class.
`static int` `EXPRESSION_VARIABLE` The meta object id for the '`Expression Variable`' class.
`static int` `EXPRESSION_VARIABLE__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EXPRESSION_VARIABLE__NATIVE_DATA_TYPE_CODE` The feature id for the 'Native Data Type Code' attribute.
`static int` `EXPRESSION_VARIABLE__TYPE` The feature id for the 'Type' attribute.
`static int` `EXPRESSION_VARIABLE_FEATURE_COUNT` The number of structural features of the 'Expression Variable' class.
`static int` `EXPRESSION_VARIABLE_TYPE` The meta object id for the '`Expression Variable Type`' enum.
`static int` `EXPRESSION_VARIABLE_TYPE_OBJECT` The meta object id for the 'Expression Variable Type Object' data type.
`static int` `FILTER_EXPRESSION` The meta object id for the '`Filter Expression`' class.
`static int` `FILTER_EXPRESSION__NEGATABLE` The feature id for the 'Negatable' attribute.
`static int` `FILTER_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Filter Expression' class.
`static int` `FILTER_EXPRESSION_TYPE` The meta object id for the '`Filter Expression Type`' class.
`static int` `FILTER_EXPRESSION_TYPE__DECLARING_EXTENSION_ID` The feature id for the 'Declaring Extension Id' attribute.
`static int` `FILTER_EXPRESSION_TYPE__ID` The feature id for the 'Id' attribute.
`static int` `FILTER_EXPRESSION_TYPE_FEATURE_COUNT` The number of structural features of the 'Filter Expression Type' class.
`static int` `HORIZONTAL_ALIGNMENT` The meta object id for the '`Horizontal Alignment`' enum.
`static int` `HORIZONTAL_ALIGNMENT_OBJECT` The meta object id for the 'Horizontal Alignment Object' data type.
`static int` `INPUT_ELEMENT_ATTRIBUTES` The meta object id for the '`Input Element Attributes`' class.
`static int` `INPUT_ELEMENT_ATTRIBUTES__DEFAULT_SCALAR_VALUE` The feature id for the 'Default Scalar Value' attribute.
`static int` `INPUT_ELEMENT_ATTRIBUTES__DEFAULT_VALUES` The feature id for the 'Default Values' containment reference.
`static int` `INPUT_ELEMENT_ATTRIBUTES__DYNAMIC_VALUE_CHOICES` The feature id for the 'Dynamic Value Choices' containment reference.
`static int` `INPUT_ELEMENT_ATTRIBUTES__EDITABLE` The feature id for the 'Editable' attribute.
`static int` `INPUT_ELEMENT_ATTRIBUTES__MASKS_VALUE` The feature id for the 'Masks Value' attribute.
`static int` `INPUT_ELEMENT_ATTRIBUTES__OPTIONAL` The feature id for the 'Optional' attribute.
`static int` `INPUT_ELEMENT_ATTRIBUTES__STATIC_VALUE_CHOICES` The feature id for the 'Static Value Choices' containment reference.
`static int` `INPUT_ELEMENT_ATTRIBUTES__UI_HINTS` The feature id for the 'Ui Hints' containment reference.
`static int` `INPUT_ELEMENT_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Input Element Attributes' class.
`static int` `INPUT_ELEMENT_UI_HINTS` The meta object id for the '`Input Element UI Hints`' class.
`static int` `INPUT_ELEMENT_UI_HINTS__AUTO_SUGGEST_THRESHOLD` The feature id for the 'Auto Suggest Threshold' attribute.
`static int` `INPUT_ELEMENT_UI_HINTS__PROMPT_STYLE` The feature id for the 'Prompt Style' attribute.
`static int` `INPUT_ELEMENT_UI_HINTS_FEATURE_COUNT` The number of structural features of the 'Input Element UI Hints' class.
`static int` `INPUT_PARAMETER_ATTRIBUTES` The meta object id for the '`Input Parameter Attributes`' class.
`static int` `INPUT_PARAMETER_ATTRIBUTES__ELEMENT_ATTRIBUTES` The feature id for the 'Element Attributes' containment reference.
`static int` `INPUT_PARAMETER_ATTRIBUTES__UI_HINTS` The feature id for the 'Ui Hints' containment reference.
`static int` `INPUT_PARAMETER_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Input Parameter Attributes' class.
`static int` `INPUT_PARAMETER_UI_HINTS` The meta object id for the '`Input Parameter UI Hints`' class.
`static int` `INPUT_PARAMETER_UI_HINTS__GROUP_PROMPT_DISPLAY_NAME` The feature id for the 'Group Prompt Display Name' attribute.
`static int` `INPUT_PARAMETER_UI_HINTS_FEATURE_COUNT` The number of structural features of the 'Input Parameter UI Hints' class.
`static int` `INPUT_PROMPT_CONTROL_STYLE` The meta object id for the '`Input Prompt Control Style`' enum.
`static int` `INPUT_PROMPT_CONTROL_STYLE_OBJECT` The meta object id for the 'Input Prompt Control Style Object' data type.
`static int` `LOCALE` The meta object id for the '`Locale`' class.
`static int` `LOCALE__COUNTRY` The feature id for the 'Country' attribute.
`static int` `LOCALE__LANGUAGE` The feature id for the 'Language' attribute.
`static int` `LOCALE__VARIANT` The feature id for the 'Variant' attribute.
`static int` `LOCALE_FEATURE_COUNT` The number of structural features of the 'Locale' class.
`static int` `NAME_VALUE_PAIR` The meta object id for the '`Name Value Pair`' class.
`static int` `NAME_VALUE_PAIR__NAME` The feature id for the 'Name' attribute.
`static int` `NAME_VALUE_PAIR__VALUE` The feature id for the 'Value' attribute.
`static int` `NAME_VALUE_PAIR_FEATURE_COUNT` The number of structural features of the 'Name Value Pair' class.
`static int` `NOT_EXPRESSION` The meta object id for the '`Not Expression`' class.
`static int` `NOT_EXPRESSION__NEGATABLE` The feature id for the 'Negatable' attribute.
`static int` `NOT_EXPRESSION__NEGATING_EXPRESSION` The feature id for the 'Negating Expression' containment reference.
`static int` `NOT_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Not Expression' class.
`static int` `NULL_ORDERING_TYPE` The meta object id for the '`Null Ordering Type`' enum.
`static int` `NULL_ORDERING_TYPE_OBJECT` The meta object id for the 'Null Ordering Type Object' data type.
`static int` `ODA_COMPLEX_DATA_TYPE` The meta object id for the '`Oda Complex Data Type`' enum.
`static int` `ODA_COMPLEX_DATA_TYPE_OBJECT` The meta object id for the 'Oda Complex Data Type Object' data type.
`static int` `ODA_DESIGN_SESSION` The meta object id for the '`Oda Design Session`' class.
`static int` `ODA_DESIGN_SESSION__REQUEST` The feature id for the 'Request' containment reference.
`static int` `ODA_DESIGN_SESSION__RESPONSE` The feature id for the 'Response' containment reference.
`static int` `ODA_DESIGN_SESSION_FEATURE_COUNT` The number of structural features of the 'Oda Design Session' class.
`static int` `ODA_SCALAR_DATA_TYPE` The meta object id for the '`Oda Scalar Data Type`' enum.
`static int` `ODA_SCALAR_DATA_TYPE_OBJECT` The meta object id for the 'Oda Scalar Data Type Object' data type.
`static int` `OR_EXPRESSION` The meta object id for the '`Or Expression`' class.
`static int` `OR_EXPRESSION__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` `OR_EXPRESSION__NEGATABLE` The feature id for the 'Negatable' attribute.
`static int` `OR_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Or Expression' class.
`static int` `OUTPUT_ELEMENT_ATTRIBUTES` The meta object id for the '`Output Element Attributes`' class.
`static int` `OUTPUT_ELEMENT_ATTRIBUTES__FORMATTING_HINTS` The feature id for the 'Formatting Hints' containment reference.
`static int` `OUTPUT_ELEMENT_ATTRIBUTES__HELP_TEXT` The feature id for the 'Help Text' attribute.
`static int` `OUTPUT_ELEMENT_ATTRIBUTES__LABEL` The feature id for the 'Label' attribute.
`static int` `OUTPUT_ELEMENT_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Output Element Attributes' class.
`static int` `PARAMETER_DEFINITION` The meta object id for the '`Parameter Definition`' class.
`static int` `PARAMETER_DEFINITION__ATTRIBUTES` The feature id for the 'Attributes' containment reference.
`static int` `PARAMETER_DEFINITION__FIELDS` The feature id for the 'Fields' containment reference.
`static int` `PARAMETER_DEFINITION__IN_OUT_MODE` The feature id for the 'In Out Mode' attribute.
`static int` `PARAMETER_DEFINITION__INPUT_ATTRIBUTES` The feature id for the 'Input Attributes' containment reference.
`static int` `PARAMETER_DEFINITION__OUTPUT_USAGE_HINTS` The feature id for the 'Output Usage Hints' containment reference.
`static int` `PARAMETER_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Parameter Definition' class.
`static int` `PARAMETER_FIELD_DEFINITION` The meta object id for the '`Parameter Field Definition`' class.
`static int` `PARAMETER_FIELD_DEFINITION__ATTRIBUTES` The feature id for the 'Attributes' containment reference.
`static int` `PARAMETER_FIELD_DEFINITION__INPUT_ATTRIBUTES` The feature id for the 'Input Attributes' containment reference.
`static int` `PARAMETER_FIELD_DEFINITION__OUTPUT_USAGE_HINTS` The feature id for the 'Output Usage Hints' containment reference.
`static int` `PARAMETER_FIELD_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Parameter Field Definition' class.
`static int` `PARAMETER_FIELDS` The meta object id for the '`Parameter Fields`' class.
`static int` `PARAMETER_FIELDS__FIELD_COLLECTION` The feature id for the 'Field Collection' containment reference list.
`static int` `PARAMETER_FIELDS_FEATURE_COUNT` The number of structural features of the 'Parameter Fields' class.
`static int` `PARAMETER_MODE` The meta object id for the '`Parameter Mode`' enum.
`static int` `PARAMETER_MODE_OBJECT` The meta object id for the 'Parameter Mode Object' data type.
`static int` `PROPERTIES` The meta object id for the '`Properties`' class.
`static int` `PROPERTIES__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `PROPERTIES_FEATURE_COUNT` The number of structural features of the 'Properties' class.
`static int` `PROPERTY` The meta object id for the '`Property`' class.
`static int` `PROPERTY__DESIGN_ATTRIBUTES` The feature id for the 'Design Attributes' containment reference.
`static int` `PROPERTY__NAME_VALUE` The feature id for the 'Name Value' containment reference.
`static int` `PROPERTY_ATTRIBUTES` The meta object id for the '`Property Attributes`' class.
`static int` `PROPERTY_ATTRIBUTES__DERIVED_META_DATA` The feature id for the 'Derived Meta Data' attribute.
`static int` `PROPERTY_ATTRIBUTES__DISPLAY_NAME` The feature id for the 'Display Name' attribute.
`static int` `PROPERTY_ATTRIBUTES__ELEMENT_ATTRIBUTES` The feature id for the 'Element Attributes' containment reference.
`static int` `PROPERTY_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Property Attributes' class.
`static int` `PROPERTY_FEATURE_COUNT` The number of structural features of the 'Property' class.
`static int` `RESOURCE_IDENTIFIERS` The meta object id for the '`Resource Identifiers`' class.
`static int` `RESOURCE_IDENTIFIERS__APPL_RESOURCE_BASE_URI_STRING` The feature id for the 'Appl Resource Base URI String' attribute.
`static int` `RESOURCE_IDENTIFIERS__DESIGN_RESOURCE_BASE_URI_STRING` The feature id for the 'Design Resource Base URI String' attribute.
`static int` `RESOURCE_IDENTIFIERS_FEATURE_COUNT` The number of structural features of the 'Resource Identifiers' class.
`static int` `RESULT_SET_COLUMNS` The meta object id for the '`Result Set Columns`' class.
`static int` `RESULT_SET_COLUMNS__RESULT_COLUMN_DEFINITIONS` The feature id for the 'Result Column Definitions' containment reference list.
`static int` `RESULT_SET_COLUMNS_FEATURE_COUNT` The number of structural features of the 'Result Set Columns' class.
`static int` `RESULT_SET_CRITERIA` The meta object id for the '`Result Set Criteria`' class.
`static int` `RESULT_SET_CRITERIA__FILTER_SPECIFICATION` The feature id for the 'Filter Specification' containment reference.
`static int` `RESULT_SET_CRITERIA__ROW_ORDERING` The feature id for the 'Row Ordering' containment reference.
`static int` `RESULT_SET_CRITERIA_FEATURE_COUNT` The number of structural features of the 'Result Set Criteria' class.
`static int` `RESULT_SET_DEFINITION` The meta object id for the '`Result Set Definition`' class.
`static int` `RESULT_SET_DEFINITION__CRITERIA` The feature id for the 'Criteria' containment reference.
`static int` `RESULT_SET_DEFINITION__NAME` The feature id for the 'Name' attribute.
`static int` `RESULT_SET_DEFINITION__RESULT_SET_COLUMNS` The feature id for the 'Result Set Columns' containment reference.
`static int` `RESULT_SET_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Result Set Definition' class.
`static int` `RESULT_SETS` The meta object id for the '`Result Sets`' class.
`static int` `RESULT_SETS__DERIVED_META_DATA` The feature id for the 'Derived Meta Data' attribute.
`static int` `RESULT_SETS__RESULT_SET_DEFINITIONS` The feature id for the 'Result Set Definitions' containment reference list.
`static int` `RESULT_SETS_FEATURE_COUNT` The number of structural features of the 'Result Sets' class.
`static int` `RESULT_SUBSET` The meta object id for the '`Result Subset`' class.
`static int` `RESULT_SUBSET__COLUMN_IDENTIFIERS` The feature id for the 'Column Identifiers' containment reference.
`static int` `RESULT_SUBSET__DATA_SET_DESIGN` The feature id for the 'Data Set Design' containment reference.
`static int` `RESULT_SUBSET__RESULT_SET_NAME` The feature id for the 'Result Set Name' attribute.
`static int` `RESULT_SUBSET_FEATURE_COUNT` The number of structural features of the 'Result Subset' class.
`static int` `SCALAR_VALUE_CHOICES` The meta object id for the '`Scalar Value Choices`' class.
`static int` `SCALAR_VALUE_CHOICES__SCALAR_VALUES` The feature id for the 'Scalar Values' containment reference list.
`static int` `SCALAR_VALUE_CHOICES_FEATURE_COUNT` The number of structural features of the 'Scalar Value Choices' class.
`static int` `SCALAR_VALUE_DEFINITION` The meta object id for the '`Scalar Value Definition`' class.
`static int` `SCALAR_VALUE_DEFINITION__DISPLAY_NAME` The feature id for the 'Display Name' attribute.
`static int` `SCALAR_VALUE_DEFINITION__VALUE` The feature id for the 'Value' attribute.
`static int` `SCALAR_VALUE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Scalar Value Definition' class.
`static int` `SESSION_STATUS` The meta object id for the '`Session Status`' enum.
`static int` `SESSION_STATUS_OBJECT` The meta object id for the 'Session Status Object' data type.
`static int` `SORT_DIRECTION_TYPE` The meta object id for the '`Sort Direction Type`' enum.
`static int` `SORT_DIRECTION_TYPE_OBJECT` The meta object id for the 'Sort Direction Type Object' data type.
`static int` `SORT_KEY` The meta object id for the '`Sort Key`' class.
`static int` `SORT_KEY__COLUMN_IDENTIFIER` The feature id for the 'Column Identifier' containment reference.
`static int` `SORT_KEY__COLUMN_NAME` The feature id for the 'Column Name' attribute.
`static int` `SORT_KEY__COLUMN_POSITION` The feature id for the 'Column Position' attribute.
`static int` `SORT_KEY__NULL_VALUE_ORDERING` The feature id for the 'Null Value Ordering' attribute.
`static int` `SORT_KEY__OPTIONAL` The feature id for the 'Optional' attribute.
`static int` `SORT_KEY__SORT_DIRECTION` The feature id for the 'Sort Direction' attribute.
`static int` `SORT_KEY_FEATURE_COUNT` The number of structural features of the 'Sort Key' class.
`static int` `SORT_SPECIFICATION` The meta object id for the '`Sort Specification`' class.
`static int` `SORT_SPECIFICATION__SORT_KEYS` The feature id for the 'Sort Keys' containment reference list.
`static int` `SORT_SPECIFICATION_FEATURE_COUNT` The number of structural features of the 'Sort Specification' class.
`static int` `STATIC_VALUES` The meta object id for the '`Static Values`' class.
`static int` `STATIC_VALUES__VALUES` The feature id for the 'Values' attribute list.
`static int` `STATIC_VALUES_FEATURE_COUNT` The number of structural features of the 'Static Values' class.
`static int` `TEXT_FORMAT_TYPE` The meta object id for the '`Text Format Type`' enum.
`static int` `TEXT_FORMAT_TYPE_OBJECT` The meta object id for the 'Text Format Type Object' data type.
`static int` `TEXT_WRAP_TYPE` The meta object id for the '`Text Wrap Type`' enum.
`static int` `TEXT_WRAP_TYPE_OBJECT` The meta object id for the 'Text Wrap Type Object' data type.
`static int` `VALUE_FORMAT_HINTS` The meta object id for the '`Value Format Hints`' class.
`static int` `VALUE_FORMAT_HINTS__DISPLAY_FORMAT` The feature id for the 'Display Format' attribute.
`static int` `VALUE_FORMAT_HINTS__DISPLAY_SIZE` The feature id for the 'Display Size' attribute.
`static int` `VALUE_FORMAT_HINTS__HORIZONTAL_ALIGNMENT` The feature id for the 'Horizontal Alignment' attribute.
`static int` `VALUE_FORMAT_HINTS__TEXT_FORMAT_TYPE` The feature id for the 'Text Format Type' attribute.
`static int` `VALUE_FORMAT_HINTS__TEXT_WRAP_TYPE` The feature id for the 'Text Wrap Type' attribute.
`static int` `VALUE_FORMAT_HINTS_FEATURE_COUNT` The number of structural features of the 'Value Format Hints' class.

Method Summary
`org.eclipse.emf.ecore.EClass` `getAndExpression()` Returns the meta object for class '`And Expression`'.
`org.eclipse.emf.ecore.EReference` `getAtomicExpressionContext_Arguments()` Returns the meta object for the containment reference '`Arguments`'.
`org.eclipse.emf.ecore.EAttribute` `getAtomicExpressionContext_Optional()` Returns the meta object for the attribute '`Optional`'.
`org.eclipse.emf.ecore.EReference` `getAtomicExpressionContext_Variable()` Returns the meta object for the containment reference '`Variable`'.
`org.eclipse.emf.ecore.EClass` `getAtomicExpressionContext()` Returns the meta object for class '`Atomic Expression Context`'.
`org.eclipse.emf.ecore.EAttribute` `getAxisAttributes_AxisType()` Returns the meta object for the attribute '`Axis Type`'.
`org.eclipse.emf.ecore.EAttribute` `getAxisAttributes_OnColumnLayout()` Returns the meta object for the attribute '`On Column Layout`'.
`org.eclipse.emf.ecore.EReference` `getAxisAttributes_RelatedColumns()` Returns the meta object for the containment reference '`Related Columns`'.
`org.eclipse.emf.ecore.EClass` `getAxisAttributes()` Returns the meta object for class '`Axis Attributes`'.
`org.eclipse.emf.ecore.EEnum` `getAxisType()` Returns the meta object for enum '`Axis Type`'.
`org.eclipse.emf.ecore.EDataType` `getAxisTypeObject()` Returns the meta object for data type '`Axis Type Object`'.
`org.eclipse.emf.ecore.EReference` `getColumnDefinition_Attributes()` Returns the meta object for the containment reference '`Attributes`'.
`org.eclipse.emf.ecore.EReference` `getColumnDefinition_MultiDimensionAttributes()` Returns the meta object for the containment reference '`Multi Dimension Attributes`'.
`org.eclipse.emf.ecore.EReference` `getColumnDefinition_UsageHints()` Returns the meta object for the containment reference '`Usage Hints`'.
`org.eclipse.emf.ecore.EClass` `getColumnDefinition()` Returns the meta object for class '`Column Definition`'.
`org.eclipse.emf.ecore.EReference` `getCompositeFilterExpression_Children()` Returns the meta object for the containment reference list '`Children`'.
`org.eclipse.emf.ecore.EClass` `getCompositeFilterExpression()` Returns the meta object for class '`Composite Filter Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getCustomData_DisplayValue()` Returns the meta object for the attribute '`Display Value`'.
`org.eclipse.emf.ecore.EAttribute` `getCustomData_ProviderId()` Returns the meta object for the attribute '`Provider Id`'.
`org.eclipse.emf.ecore.EAttribute` `getCustomData_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` `getCustomData()` Returns the meta object for class '`Custom Data`'.
`org.eclipse.emf.ecore.EReference` `getCustomFilterExpression_Context()` Returns the meta object for the containment reference '`Context`'.
`org.eclipse.emf.ecore.EReference` `getCustomFilterExpression_Type()` Returns the meta object for the containment reference '`Type`'.
`org.eclipse.emf.ecore.EClass` `getCustomFilterExpression()` Returns the meta object for class '`Custom Filter Expression`'.
`org.eclipse.emf.ecore.EReference` `getDataAccessDesign_DataSetDesign()` Returns the meta object for the containment reference '`Data Set Design`'.
`org.eclipse.emf.ecore.EClass` `getDataAccessDesign()` Returns the meta object for class '`Data Access Design`'.
`org.eclipse.emf.ecore.EReference` `getDataElementAttributes_Identifier()` Returns the meta object for the containment reference '`Identifier`'.
`org.eclipse.emf.ecore.EAttribute` `getDataElementAttributes_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute` `getDataElementAttributes_NativeDataTypeCode()` Returns the meta object for the attribute '`Native Data Type Code`'.
`org.eclipse.emf.ecore.EAttribute` `getDataElementAttributes_Nullability()` Returns the meta object for the attribute '`Nullability`'.
`org.eclipse.emf.ecore.EAttribute` `getDataElementAttributes_Position()` Returns the meta object for the attribute '`Position`'.
`org.eclipse.emf.ecore.EAttribute` `getDataElementAttributes_Precision()` Returns the meta object for the attribute '`Precision`'.
`org.eclipse.emf.ecore.EAttribute` `getDataElementAttributes_Scale()` Returns the meta object for the attribute '`Scale`'.
`org.eclipse.emf.ecore.EReference` `getDataElementAttributes_UiHints()` Returns the meta object for the containment reference '`Ui Hints`'.
`org.eclipse.emf.ecore.EClass` `getDataElementAttributes()` Returns the meta object for class '`Data Element Attributes`'.
`org.eclipse.emf.ecore.EAttribute` `getDataElementIdentifier_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute` `getDataElementIdentifier_Position()` Returns the meta object for the attribute '`Position`'.
`org.eclipse.emf.ecore.EClass` `getDataElementIdentifier()` Returns the meta object for class '`Data Element Identifier`'.
`org.eclipse.emf.ecore.EReference` `getDataElementIdentifiers_Identifiers()` Returns the meta object for the containment reference list '`Identifiers`'.
`org.eclipse.emf.ecore.EClass` `getDataElementIdentifiers()` Returns the meta object for class '`Data Element Identifiers`'.
`org.eclipse.emf.ecore.EAttribute` `getDataElementUIHints_Description()` Returns the meta object for the attribute '`Description`'.
`org.eclipse.emf.ecore.EAttribute` `getDataElementUIHints_DisplayName()` Returns the meta object for the attribute '`Display Name`'.
`org.eclipse.emf.ecore.EClass` `getDataElementUIHints()` Returns the meta object for class '`Data Element UI Hints`'.
`org.eclipse.emf.ecore.EReference` `getDataSetDesign_DataSourceDesign()` Returns the meta object for the containment reference '`Data Source Design`'.
`org.eclipse.emf.ecore.EAttribute` `getDataSetDesign_DisplayName()` Returns the meta object for the attribute '`Display Name`'.
`org.eclipse.emf.ecore.EAttribute` `getDataSetDesign_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute` `getDataSetDesign_OdaExtensionDataSetId()` Returns the meta object for the attribute '`Oda Extension Data Set Id`'.
`org.eclipse.emf.ecore.EReference` `getDataSetDesign_Parameters()` Returns the meta object for the containment reference '`Parameters`'.
`org.eclipse.emf.ecore.EAttribute` `getDataSetDesign_PrimaryResultSetName()` Returns the meta object for the attribute '`Primary Result Set Name`'.
`org.eclipse.emf.ecore.EReference` `getDataSetDesign_PrivateProperties()` Returns the meta object for the containment reference '`Private Properties`'.
`org.eclipse.emf.ecore.EReference` `getDataSetDesign_PublicProperties()` Returns the meta object for the containment reference '`Public Properties`'.
`org.eclipse.emf.ecore.EReference` `getDataSetDesign_Query()` Returns the meta object for the containment reference '`Query`'.
`org.eclipse.emf.ecore.EReference` `getDataSetDesign_ResultSets()` Returns the meta object for the containment reference '`Result Sets`'.
`org.eclipse.emf.ecore.EClass` `getDataSetDesign()` Returns the meta object for class '`Data Set Design`'.
`org.eclipse.emf.ecore.EAttribute` `getDataSetParameters_DerivedMetaData()` Returns the meta object for the attribute '`Derived Meta Data`'.
`org.eclipse.emf.ecore.EReference` `getDataSetParameters_ParameterDefinitions()` Returns the meta object for the containment reference list '`Parameter Definitions`'.
`org.eclipse.emf.ecore.EClass` `getDataSetParameters()` Returns the meta object for class '`Data Set Parameters`'.
`org.eclipse.emf.ecore.EAttribute` `getDataSetQuery_QueryText()` Returns the meta object for the attribute '`Query Text`'.
`org.eclipse.emf.ecore.EClass` `getDataSetQuery()` Returns the meta object for class '`Data Set Query`'.
`org.eclipse.emf.ecore.EAttribute` `getDataSourceDesign_DisplayName()` Returns the meta object for the attribute '`Display Name`'.
`org.eclipse.emf.ecore.EReference` `getDataSourceDesign_HostResourceIdentifiers()` Returns the meta object for the containment reference '`Host Resource Identifiers`'.
`org.eclipse.emf.ecore.EAttribute` `getDataSourceDesign_LinkedProfileName()` Returns the meta object for the attribute '`Linked Profile Name`'.
`org.eclipse.emf.ecore.EAttribute` `getDataSourceDesign_LinkedProfileStoreFilePath()` Returns the meta object for the attribute '`Linked Profile Store File Path`'.
`org.eclipse.emf.ecore.EAttribute` `getDataSourceDesign_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute` `getDataSourceDesign_OdaExtensionDataSourceId()` Returns the meta object for the attribute '`Oda Extension Data Source Id`'.
`org.eclipse.emf.ecore.EAttribute` `getDataSourceDesign_OdaExtensionId()` Returns the meta object for the attribute '`Oda Extension Id`'.
`org.eclipse.emf.ecore.EReference` `getDataSourceDesign_PrivateProperties()` Returns the meta object for the containment reference '`Private Properties`'.
`org.eclipse.emf.ecore.EReference` `getDataSourceDesign_PublicProperties()` Returns the meta object for the containment reference '`Public Properties`'.
`org.eclipse.emf.ecore.EAttribute` `getDataSourceDesign_ResourceFile()` Returns the meta object for the attribute '`Resource File`'.
`org.eclipse.emf.ecore.EClass` `getDataSourceDesign()` Returns the meta object for class '`Data Source Design`'.
`org.eclipse.emf.ecore.EReference` `getDesignerState_StateContent()` Returns the meta object for the containment reference '`State Content`'.
`org.eclipse.emf.ecore.EAttribute` `getDesignerState_Version()` Returns the meta object for the attribute '`Version`'.
`org.eclipse.emf.ecore.EClass` `getDesignerState()` Returns the meta object for class '`Designer State`'.
`org.eclipse.emf.ecore.EAttribute` `getDesignerStateContent_StateContentAsBlob()` Returns the meta object for the attribute '`State Content As Blob`'.
`org.eclipse.emf.ecore.EAttribute` `getDesignerStateContent_StateContentAsString()` Returns the meta object for the attribute '`State Content As String`'.
`org.eclipse.emf.ecore.EClass` `getDesignerStateContent()` Returns the meta object for class '`Designer State Content`'.
`DesignFactory` `getDesignFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` `getDesignSessionRequest_DataAccessDesign()` Returns the meta object for the containment reference '`Data Access Design`'.
`org.eclipse.emf.ecore.EReference` `getDesignSessionRequest_DesignerState()` Returns the meta object for the containment reference '`Designer State`'.
`org.eclipse.emf.ecore.EAttribute` `getDesignSessionRequest_Editable()` Returns the meta object for the attribute '`Editable`'.
`org.eclipse.emf.ecore.EReference` `getDesignSessionRequest_SessionLocale()` Returns the meta object for the containment reference '`Session Locale`'.
`org.eclipse.emf.ecore.EClass` `getDesignSessionRequest()` Returns the meta object for class '`Session Request`'.
`org.eclipse.emf.ecore.EReference` `getDesignSessionResponse_DataAccessDesign()` Returns the meta object for the containment reference '`Data Access Design`'.
`org.eclipse.emf.ecore.EReference` `getDesignSessionResponse_DesignerState()` Returns the meta object for the containment reference '`Designer State`'.
`org.eclipse.emf.ecore.EAttribute` `getDesignSessionResponse_SessionStatus()` Returns the meta object for the attribute '`Session Status`'.
`org.eclipse.emf.ecore.EClass` `getDesignSessionResponse()` Returns the meta object for class '`Session Response`'.
`org.eclipse.emf.ecore.EAttribute` `getDocumentRoot_Mixed()` Returns the meta object for the attribute list '`Mixed`'.
`org.eclipse.emf.ecore.EReference` `getDocumentRoot_OdaDesignSession()` Returns the meta object for the containment reference '`Oda Design Session`'.
`org.eclipse.emf.ecore.EReference` `getDocumentRoot_XMLNSPrefixMap()` Returns the meta object for the map '`XMLNS Prefix Map`'.
`org.eclipse.emf.ecore.EReference` `getDocumentRoot_XSISchemaLocation()` Returns the meta object for the map '`XSI Schema Location`'.
`org.eclipse.emf.ecore.EClass` `getDocumentRoot()` Returns the meta object for class '`Document Root`'.
`org.eclipse.emf.ecore.EReference` `getDynamicFilterExpression_Context()` Returns the meta object for the containment reference '`Context`'.
`org.eclipse.emf.ecore.EReference` `getDynamicFilterExpression_DefaultType()` Returns the meta object for the containment reference '`Default Type`'.
`org.eclipse.emf.ecore.EClass` `getDynamicFilterExpression()` Returns the meta object for class '`Dynamic Filter Expression`'.
`org.eclipse.emf.ecore.EReference` `getDynamicValuesQuery_DataSetDesign()` Returns the meta object for the containment reference '`Data Set Design`'.
`org.eclipse.emf.ecore.EAttribute` `getDynamicValuesQuery_DisplayNameColumn()` Returns the meta object for the attribute '`Display Name Column`'.
`org.eclipse.emf.ecore.EAttribute` `getDynamicValuesQuery_Enabled()` Returns the meta object for the attribute '`Enabled`'.
`org.eclipse.emf.ecore.EAttribute` `getDynamicValuesQuery_ValueColumn()` Returns the meta object for the attribute '`Value Column`'.
`org.eclipse.emf.ecore.EReference` `getDynamicValuesQuery_ValueColumnIdentifier()` Returns the meta object for the containment reference '`Value Column Identifier`'.
`org.eclipse.emf.ecore.EClass` `getDynamicValuesQuery()` Returns the meta object for class '`Dynamic Values Query`'.
`org.eclipse.emf.ecore.EEnum` `getElementNullability()` Returns the meta object for enum '`Element Nullability`'.
`org.eclipse.emf.ecore.EDataType` `getElementNullabilityObject()` Returns the meta object for data type '`Element Nullability Object`'.
`org.eclipse.emf.ecore.EReference` `getExpressionArguments_ExpressionParameters()` Returns the meta object for the containment reference '`Expression Parameters`'.
`org.eclipse.emf.ecore.EClass` `getExpressionArguments()` Returns the meta object for class '`Expression Arguments`'.
`org.eclipse.emf.ecore.EReference` `getExpressionParameterDefinition_DynamicInputParameter()` Returns the meta object for the containment reference '`Dynamic Input Parameter`'.
`org.eclipse.emf.ecore.EReference` `getExpressionParameterDefinition_StaticValues()` Returns the meta object for the containment reference '`Static Values`'.
`org.eclipse.emf.ecore.EClass` `getExpressionParameterDefinition()` Returns the meta object for class '`Expression Parameter Definition`'.
`org.eclipse.emf.ecore.EReference` `getExpressionParameters_ParameterDefinitions()` Returns the meta object for the containment reference list '`Parameter Definitions`'.
`org.eclipse.emf.ecore.EClass` `getExpressionParameters()` Returns the meta object for class '`Expression Parameters`'.
`org.eclipse.emf.ecore.EAttribute` `getExpressionVariable_Identifier()` Returns the meta object for the attribute '`Identifier`'.
`org.eclipse.emf.ecore.EAttribute` `getExpressionVariable_NativeDataTypeCode()` Returns the meta object for the attribute '`Native Data Type Code`'.
`org.eclipse.emf.ecore.EAttribute` `getExpressionVariable_Type()` Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EClass` `getExpressionVariable()` Returns the meta object for class '`Expression Variable`'.
`org.eclipse.emf.ecore.EEnum` `getExpressionVariableType()` Returns the meta object for enum '`Expression Variable Type`'.
`org.eclipse.emf.ecore.EDataType` `getExpressionVariableTypeObject()` Returns the meta object for data type '`Expression Variable Type Object`'.
`org.eclipse.emf.ecore.EAttribute` `getFilterExpression_Negatable()` Returns the meta object for the attribute '`Negatable`'.
`org.eclipse.emf.ecore.EClass` `getFilterExpression()` Returns the meta object for class '`Filter Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getFilterExpressionType_DeclaringExtensionId()` Returns the meta object for the attribute '`Declaring Extension Id`'.
`org.eclipse.emf.ecore.EAttribute` `getFilterExpressionType_Id()` Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EClass` `getFilterExpressionType()` Returns the meta object for class '`Filter Expression Type`'.
`org.eclipse.emf.ecore.EEnum` `getHorizontalAlignment()` Returns the meta object for enum '`Horizontal Alignment`'.
`org.eclipse.emf.ecore.EDataType` `getHorizontalAlignmentObject()` Returns the meta object for data type '`Horizontal Alignment Object`'.
`org.eclipse.emf.ecore.EAttribute` `getInputElementAttributes_DefaultScalarValue()` Returns the meta object for the attribute '`Default Scalar Value`'.
`org.eclipse.emf.ecore.EReference` `getInputElementAttributes_DefaultValues()` Returns the meta object for the containment reference '`Default Values`'.
`org.eclipse.emf.ecore.EReference` `getInputElementAttributes_DynamicValueChoices()` Returns the meta object for the containment reference '`Dynamic Value Choices`'.
`org.eclipse.emf.ecore.EAttribute` `getInputElementAttributes_Editable()` Returns the meta object for the attribute '`Editable`'.
`org.eclipse.emf.ecore.EAttribute` `getInputElementAttributes_MasksValue()` Returns the meta object for the attribute '`Masks Value`'.
`org.eclipse.emf.ecore.EAttribute` `getInputElementAttributes_Optional()` Returns the meta object for the attribute '`Optional`'.
`org.eclipse.emf.ecore.EReference` `getInputElementAttributes_StaticValueChoices()` Returns the meta object for the containment reference '`Static Value Choices`'.
`org.eclipse.emf.ecore.EReference` `getInputElementAttributes_UiHints()` Returns the meta object for the containment reference '`Ui Hints`'.
`org.eclipse.emf.ecore.EClass` `getInputElementAttributes()` Returns the meta object for class '`Input Element Attributes`'.
`org.eclipse.emf.ecore.EAttribute` `getInputElementUIHints_AutoSuggestThreshold()` Returns the meta object for the attribute '`Auto Suggest Threshold`'.
`org.eclipse.emf.ecore.EAttribute` `getInputElementUIHints_PromptStyle()` Returns the meta object for the attribute '`Prompt Style`'.
`org.eclipse.emf.ecore.EClass` `getInputElementUIHints()` Returns the meta object for class '`Input Element UI Hints`'.
`org.eclipse.emf.ecore.EReference` `getInputParameterAttributes_ElementAttributes()` Returns the meta object for the containment reference '`Element Attributes`'.
`org.eclipse.emf.ecore.EReference` `getInputParameterAttributes_UiHints()` Returns the meta object for the containment reference '`Ui Hints`'.
`org.eclipse.emf.ecore.EClass` `getInputParameterAttributes()` Returns the meta object for class '`Input Parameter Attributes`'.
`org.eclipse.emf.ecore.EAttribute` `getInputParameterUIHints_GroupPromptDisplayName()` Returns the meta object for the attribute '`Group Prompt Display Name`'.
`org.eclipse.emf.ecore.EClass` `getInputParameterUIHints()` Returns the meta object for class '`Input Parameter UI Hints`'.
`org.eclipse.emf.ecore.EEnum` `getInputPromptControlStyle()` Returns the meta object for enum '`Input Prompt Control Style`'.
`org.eclipse.emf.ecore.EDataType` `getInputPromptControlStyleObject()` Returns the meta object for data type '`Input Prompt Control Style Object`'.
`org.eclipse.emf.ecore.EAttribute` `getLocale_Country()` Returns the meta object for the attribute '`Country`'.
`org.eclipse.emf.ecore.EAttribute` `getLocale_Language()` Returns the meta object for the attribute '`Language`'.
`org.eclipse.emf.ecore.EAttribute` `getLocale_Variant()` Returns the meta object for the attribute '`Variant`'.
`org.eclipse.emf.ecore.EClass` `getLocale()` Returns the meta object for class '`Locale`'.
`org.eclipse.emf.ecore.EAttribute` `getNameValuePair_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute` `getNameValuePair_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` `getNameValuePair()` Returns the meta object for class '`Name Value Pair`'.
`org.eclipse.emf.ecore.EReference` `getNotExpression_NegatingExpression()` Returns the meta object for the containment reference '`Negating Expression`'.
`org.eclipse.emf.ecore.EClass` `getNotExpression()` Returns the meta object for class '`Not Expression`'.
`org.eclipse.emf.ecore.EEnum` `getNullOrderingType()` Returns the meta object for enum '`Null Ordering Type`'.
`org.eclipse.emf.ecore.EDataType` `getNullOrderingTypeObject()` Returns the meta object for data type '`Null Ordering Type Object`'.
`org.eclipse.emf.ecore.EEnum` `getOdaComplexDataType()` Returns the meta object for enum '`Oda Complex Data Type`'.
`org.eclipse.emf.ecore.EDataType` `getOdaComplexDataTypeObject()` Returns the meta object for data type '`Oda Complex Data Type Object`'.
`org.eclipse.emf.ecore.EReference` `getOdaDesignSession_Request()` Returns the meta object for the containment reference '`Request`'.
`org.eclipse.emf.ecore.EReference` `getOdaDesignSession_Response()` Returns the meta object for the containment reference '`Response`'.
`org.eclipse.emf.ecore.EClass` `getOdaDesignSession()` Returns the meta object for class '`Oda Design Session`'.
`org.eclipse.emf.ecore.EEnum` `getOdaScalarDataType()` Returns the meta object for enum '`Oda Scalar Data Type`'.
`org.eclipse.emf.ecore.EDataType` `getOdaScalarDataTypeObject()` Returns the meta object for data type '`Oda Scalar Data Type Object`'.
`org.eclipse.emf.ecore.EClass` `getOrExpression()` Returns the meta object for class '`Or Expression`'.
`org.eclipse.emf.ecore.EReference` `getOutputElementAttributes_FormattingHints()` Returns the meta object for the containment reference '`Formatting Hints`'.
`org.eclipse.emf.ecore.EAttribute` `getOutputElementAttributes_HelpText()` Returns the meta object for the attribute '`Help Text`'.
`org.eclipse.emf.ecore.EAttribute` `getOutputElementAttributes_Label()` Returns the meta object for the attribute '`Label`'.
`org.eclipse.emf.ecore.EClass` `getOutputElementAttributes()` Returns the meta object for class '`Output Element Attributes`'.
`org.eclipse.emf.ecore.EReference` `getParameterDefinition_Attributes()` Returns the meta object for the containment reference '`Attributes`'.
`org.eclipse.emf.ecore.EReference` `getParameterDefinition_Fields()` Returns the meta object for the containment reference '`Fields`'.
`org.eclipse.emf.ecore.EAttribute` `getParameterDefinition_InOutMode()` Returns the meta object for the attribute '`In Out Mode`'.
`org.eclipse.emf.ecore.EReference` `getParameterDefinition_InputAttributes()` Returns the meta object for the containment reference '`Input Attributes`'.
`org.eclipse.emf.ecore.EReference` `getParameterDefinition_OutputUsageHints()` Returns the meta object for the containment reference '`Output Usage Hints`'.
`org.eclipse.emf.ecore.EClass` `getParameterDefinition()` Returns the meta object for class '`Parameter Definition`'.
`org.eclipse.emf.ecore.EReference` `getParameterFieldDefinition_Attributes()` Returns the meta object for the containment reference '`Attributes`'.
`org.eclipse.emf.ecore.EReference` `getParameterFieldDefinition_InputAttributes()` Returns the meta object for the containment reference '`Input Attributes`'.
`org.eclipse.emf.ecore.EReference` `getParameterFieldDefinition_OutputUsageHints()` Returns the meta object for the containment reference '`Output Usage Hints`'.
`org.eclipse.emf.ecore.EClass` `getParameterFieldDefinition()` Returns the meta object for class '`Parameter Field Definition`'.
`org.eclipse.emf.ecore.EReference` `getParameterFields_FieldCollection()` Returns the meta object for the containment reference list '`Field Collection`'.
`org.eclipse.emf.ecore.EClass` `getParameterFields()` Returns the meta object for class '`Parameter Fields`'.
`org.eclipse.emf.ecore.EEnum` `getParameterMode()` Returns the meta object for enum '`Parameter Mode`'.
`org.eclipse.emf.ecore.EDataType` `getParameterModeObject()` Returns the meta object for data type '`Parameter Mode Object`'.
`org.eclipse.emf.ecore.EReference` `getProperties_Properties()` Returns the meta object for the containment reference list '`Properties`'.
`org.eclipse.emf.ecore.EClass` `getProperties()` Returns the meta object for class '`Properties`'.
`org.eclipse.emf.ecore.EReference` `getProperty_DesignAttributes()` Returns the meta object for the containment reference '`Design Attributes`'.
`org.eclipse.emf.ecore.EReference` `getProperty_NameValue()` Returns the meta object for the containment reference '`Name Value`'.
`org.eclipse.emf.ecore.EClass` `getProperty()` Returns the meta object for class '`Property`'.
`org.eclipse.emf.ecore.EAttribute` `getPropertyAttributes_DerivedMetaData()` Returns the meta object for the attribute '`Derived Meta Data`'.
`org.eclipse.emf.ecore.EAttribute` `getPropertyAttributes_DisplayName()` Returns the meta object for the attribute '`Display Name`'.
`org.eclipse.emf.ecore.EReference` `getPropertyAttributes_ElementAttributes()` Returns the meta object for the containment reference '`Element Attributes`'.
`org.eclipse.emf.ecore.EClass` `getPropertyAttributes()` Returns the meta object for class '`Property Attributes`'.
`org.eclipse.emf.ecore.EAttribute` `getResourceIdentifiers_ApplResourceBaseURIString()` Returns the meta object for the attribute '`Appl Resource Base URI String`'.
`org.eclipse.emf.ecore.EAttribute` `getResourceIdentifiers_DesignResourceBaseURIString()` Returns the meta object for the attribute '`Design Resource Base URI String`'.
`org.eclipse.emf.ecore.EClass` `getResourceIdentifiers()` Returns the meta object for class '`Resource Identifiers`'.
`org.eclipse.emf.ecore.EReference` `getResultSetColumns_ResultColumnDefinitions()` Returns the meta object for the containment reference list '`Result Column Definitions`'.
`org.eclipse.emf.ecore.EClass` `getResultSetColumns()` Returns the meta object for class '`Result Set Columns`'.
`org.eclipse.emf.ecore.EReference` `getResultSetCriteria_FilterSpecification()` Returns the meta object for the containment reference '`Filter Specification`'.
`org.eclipse.emf.ecore.EReference` `getResultSetCriteria_RowOrdering()` Returns the meta object for the containment reference '`Row Ordering`'.
`org.eclipse.emf.ecore.EClass` `getResultSetCriteria()` Returns the meta object for class '`Result Set Criteria`'.
`org.eclipse.emf.ecore.EReference` `getResultSetDefinition_Criteria()` Returns the meta object for the containment reference '`Criteria`'.
`org.eclipse.emf.ecore.EAttribute` `getResultSetDefinition_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` `getResultSetDefinition_ResultSetColumns()` Returns the meta object for the containment reference '`Result Set Columns`'.
`org.eclipse.emf.ecore.EClass` `getResultSetDefinition()` Returns the meta object for class '`Result Set Definition`'.
`org.eclipse.emf.ecore.EAttribute` `getResultSets_DerivedMetaData()` Returns the meta object for the attribute '`Derived Meta Data`'.
`org.eclipse.emf.ecore.EReference` `getResultSets_ResultSetDefinitions()` Returns the meta object for the containment reference list '`Result Set Definitions`'.
`org.eclipse.emf.ecore.EClass` `getResultSets()` Returns the meta object for class '`Result Sets`'.
`org.eclipse.emf.ecore.EReference` `getResultSubset_ColumnIdentifiers()` Returns the meta object for the containment reference '`Column Identifiers`'.
`org.eclipse.emf.ecore.EReference` `getResultSubset_DataSetDesign()` Returns the meta object for the containment reference '`Data Set Design`'.
`org.eclipse.emf.ecore.EAttribute` `getResultSubset_ResultSetName()` Returns the meta object for the attribute '`Result Set Name`'.
`org.eclipse.emf.ecore.EClass` `getResultSubset()` Returns the meta object for class '`Result Subset`'.
`org.eclipse.emf.ecore.EReference` `getScalarValueChoices_ScalarValues()` Returns the meta object for the containment reference list '`Scalar Values`'.
`org.eclipse.emf.ecore.EClass` `getScalarValueChoices()` Returns the meta object for class '`Scalar Value Choices`'.
`org.eclipse.emf.ecore.EAttribute` `getScalarValueDefinition_DisplayName()` Returns the meta object for the attribute '`Display Name`'.
`org.eclipse.emf.ecore.EAttribute` `getScalarValueDefinition_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` `getScalarValueDefinition()` Returns the meta object for class '`Scalar Value Definition`'.
`org.eclipse.emf.ecore.EEnum` `getSessionStatus()` Returns the meta object for enum '`Session Status`'.
`org.eclipse.emf.ecore.EDataType` `getSessionStatusObject()` Returns the meta object for data type '`Session Status Object`'.
`org.eclipse.emf.ecore.EEnum` `getSortDirectionType()` Returns the meta object for enum '`Sort Direction Type`'.
`org.eclipse.emf.ecore.EDataType` `getSortDirectionTypeObject()` Returns the meta object for data type '`Sort Direction Type Object`'.
`org.eclipse.emf.ecore.EReference` `getSortKey_ColumnIdentifier()` Returns the meta object for the containment reference '`Column Identifier`'.
`org.eclipse.emf.ecore.EAttribute` `getSortKey_ColumnName()` Returns the meta object for the attribute '`Column Name`'.
`org.eclipse.emf.ecore.EAttribute` `getSortKey_ColumnPosition()` Returns the meta object for the attribute '`Column Position`'.
`org.eclipse.emf.ecore.EAttribute` `getSortKey_NullValueOrdering()` Returns the meta object for the attribute '`Null Value Ordering`'.
`org.eclipse.emf.ecore.EAttribute` `getSortKey_Optional()` Returns the meta object for the attribute '`Optional`'.
`org.eclipse.emf.ecore.EAttribute` `getSortKey_SortDirection()` Returns the meta object for the attribute '`Sort Direction`'.
`org.eclipse.emf.ecore.EClass` `getSortKey()` Returns the meta object for class '`Sort Key`'.
`org.eclipse.emf.ecore.EReference` `getSortSpecification_SortKeys()` Returns the meta object for the containment reference list '`Sort Keys`'.
`org.eclipse.emf.ecore.EClass` `getSortSpecification()` Returns the meta object for class '`Sort Specification`'.
`org.eclipse.emf.ecore.EAttribute` `getStaticValues_Values()` Returns the meta object for the attribute list '`Values`'.
`org.eclipse.emf.ecore.EClass` `getStaticValues()` Returns the meta object for class '`Static Values`'.
`org.eclipse.emf.ecore.EEnum` `getTextFormatType()` Returns the meta object for enum '`Text Format Type`'.
`org.eclipse.emf.ecore.EDataType` `getTextFormatTypeObject()` Returns the meta object for data type '`Text Format Type Object`'.
`org.eclipse.emf.ecore.EEnum` `getTextWrapType()` Returns the meta object for enum '`Text Wrap Type`'.
`org.eclipse.emf.ecore.EDataType` `getTextWrapTypeObject()` Returns the meta object for data type '`Text Wrap Type Object`'.
`org.eclipse.emf.ecore.EAttribute` `getValueFormatHints_DisplayFormat()` Returns the meta object for the attribute '`Display Format`'.
`org.eclipse.emf.ecore.EAttribute` `getValueFormatHints_DisplaySize()` Returns the meta object for the attribute '`Display Size`'.
`org.eclipse.emf.ecore.EAttribute` `getValueFormatHints_HorizontalAlignment()` Returns the meta object for the attribute '`Horizontal Alignment`'.
`org.eclipse.emf.ecore.EAttribute` `getValueFormatHints_TextFormatType()` Returns the meta object for the attribute '`Text Format Type`'.
`org.eclipse.emf.ecore.EAttribute` `getValueFormatHints_TextWrapType()` Returns the meta object for the attribute '`Text Wrap Type`'.
`org.eclipse.emf.ecore.EClass` `getValueFormatHints()` Returns the meta object for class '`Value Format Hints`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final DesignPackage eINSTANCE

  The singleton instance of the package.

### FILTER_EXPRESSION

    static final int FILTER_EXPRESSION

  The meta object id for the '`Filter Expression`' class.

  See Also:
    `FilterExpressionImpl`, `DesignPackageImpl.getFilterExpression()`, Constant Field Values

### FILTER_EXPRESSION__NEGATABLE

    static final int FILTER_EXPRESSION__NEGATABLE

  The feature id for the 'Negatable' attribute.

  See Also:
    Constant Field Values

### FILTER_EXPRESSION_FEATURE_COUNT

    static final int FILTER_EXPRESSION_FEATURE_COUNT

  The number of structural features of the 'Filter Expression' class.

  See Also:
    Constant Field Values

### COMPOSITE_FILTER_EXPRESSION

    static final int COMPOSITE_FILTER_EXPRESSION

  The meta object id for the '`Composite Filter Expression`' class.

  See Also:
    `CompositeFilterExpressionImpl`, `DesignPackageImpl.getCompositeFilterExpression()`, Constant Field Values

### COMPOSITE_FILTER_EXPRESSION__NEGATABLE

    static final int COMPOSITE_FILTER_EXPRESSION__NEGATABLE

  The feature id for the 'Negatable' attribute.

  See Also:
    Constant Field Values

### COMPOSITE_FILTER_EXPRESSION__CHILDREN

    static final int COMPOSITE_FILTER_EXPRESSION__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### COMPOSITE_FILTER_EXPRESSION_FEATURE_COUNT

    static final int COMPOSITE_FILTER_EXPRESSION_FEATURE_COUNT

  The number of structural features of the 'Composite Filter Expression' class.

  See Also:
    Constant Field Values

### AND_EXPRESSION

    static final int AND_EXPRESSION

  The meta object id for the '`And Expression`' class.

  See Also:
    `AndExpressionImpl`, `DesignPackageImpl.getAndExpression()`, Constant Field Values

### AND_EXPRESSION__NEGATABLE

    static final int AND_EXPRESSION__NEGATABLE

  The feature id for the 'Negatable' attribute.

  See Also:
    Constant Field Values

### AND_EXPRESSION__CHILDREN

    static final int AND_EXPRESSION__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### AND_EXPRESSION_FEATURE_COUNT

    static final int AND_EXPRESSION_FEATURE_COUNT

  The number of structural features of the 'And Expression' class.

  See Also:
    Constant Field Values

### ATOMIC_EXPRESSION_CONTEXT

    static final int ATOMIC_EXPRESSION_CONTEXT

  The meta object id for the '`Atomic Expression Context`' class.

  See Also:
    `AtomicExpressionContextImpl`, `DesignPackageImpl.getAtomicExpressionContext()`, Constant Field Values

### ATOMIC_EXPRESSION_CONTEXT__OPTIONAL

    static final int ATOMIC_EXPRESSION_CONTEXT__OPTIONAL

  The feature id for the 'Optional' attribute.

  See Also:
    Constant Field Values

### ATOMIC_EXPRESSION_CONTEXT__VARIABLE

    static final int ATOMIC_EXPRESSION_CONTEXT__VARIABLE

  The feature id for the 'Variable' containment reference.

  See Also:
    Constant Field Values

### ATOMIC_EXPRESSION_CONTEXT__ARGUMENTS

    static final int ATOMIC_EXPRESSION_CONTEXT__ARGUMENTS

  The feature id for the 'Arguments' containment reference.

  See Also:
    Constant Field Values

### ATOMIC_EXPRESSION_CONTEXT_FEATURE_COUNT

    static final int ATOMIC_EXPRESSION_CONTEXT_FEATURE_COUNT

  The number of structural features of the 'Atomic Expression Context' class.

  See Also:
    Constant Field Values

### AXIS_ATTRIBUTES

    static final int AXIS_ATTRIBUTES

  The meta object id for the '`Axis Attributes`' class.

  See Also:
    `AxisAttributesImpl`, `DesignPackageImpl.getAxisAttributes()`, Constant Field Values

### AXIS_ATTRIBUTES__AXIS_TYPE

    static final int AXIS_ATTRIBUTES__AXIS_TYPE

  The feature id for the 'Axis Type' attribute.

  See Also:
    Constant Field Values

### AXIS_ATTRIBUTES__ON_COLUMN_LAYOUT

    static final int AXIS_ATTRIBUTES__ON_COLUMN_LAYOUT

  The feature id for the 'On Column Layout' attribute.

  See Also:
    Constant Field Values

### AXIS_ATTRIBUTES__RELATED_COLUMNS

    static final int AXIS_ATTRIBUTES__RELATED_COLUMNS

  The feature id for the 'Related Columns' containment reference.

  See Also:
    Constant Field Values

### AXIS_ATTRIBUTES_FEATURE_COUNT

    static final int AXIS_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Axis Attributes' class.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION

    static final int COLUMN_DEFINITION

  The meta object id for the '`Column Definition`' class.

  See Also:
    `ColumnDefinitionImpl`, `DesignPackageImpl.getColumnDefinition()`, Constant Field Values

### COLUMN_DEFINITION__ATTRIBUTES

    static final int COLUMN_DEFINITION__ATTRIBUTES

  The feature id for the 'Attributes' containment reference.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION__USAGE_HINTS

    static final int COLUMN_DEFINITION__USAGE_HINTS

  The feature id for the 'Usage Hints' containment reference.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION__MULTI_DIMENSION_ATTRIBUTES

    static final int COLUMN_DEFINITION__MULTI_DIMENSION_ATTRIBUTES

  The feature id for the 'Multi Dimension Attributes' containment reference.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION_FEATURE_COUNT

    static final int COLUMN_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Column Definition' class.

  See Also:
    Constant Field Values

### CUSTOM_DATA

    static final int CUSTOM_DATA

  The meta object id for the '`Custom Data`' class.

  See Also:
    `CustomDataImpl`, `DesignPackageImpl.getCustomData()`, Constant Field Values

### CUSTOM_DATA__PROVIDER_ID

    static final int CUSTOM_DATA__PROVIDER_ID

  The feature id for the 'Provider Id' attribute.

  See Also:
    Constant Field Values

### CUSTOM_DATA__VALUE

    static final int CUSTOM_DATA__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### CUSTOM_DATA__DISPLAY_VALUE

    static final int CUSTOM_DATA__DISPLAY_VALUE

  The feature id for the 'Display Value' attribute.

  See Also:
    Constant Field Values

### CUSTOM_DATA_FEATURE_COUNT

    static final int CUSTOM_DATA_FEATURE_COUNT

  The number of structural features of the 'Custom Data' class.

  See Also:
    Constant Field Values

### CUSTOM_FILTER_EXPRESSION

    static final int CUSTOM_FILTER_EXPRESSION

  The meta object id for the '`Custom Filter Expression`' class.

  See Also:
    `CustomFilterExpressionImpl`, `DesignPackageImpl.getCustomFilterExpression()`, Constant Field Values

### CUSTOM_FILTER_EXPRESSION__NEGATABLE

    static final int CUSTOM_FILTER_EXPRESSION__NEGATABLE

  The feature id for the 'Negatable' attribute.

  See Also:
    Constant Field Values

### CUSTOM_FILTER_EXPRESSION__TYPE

    static final int CUSTOM_FILTER_EXPRESSION__TYPE

  The feature id for the 'Type' containment reference.

  See Also:
    Constant Field Values

### CUSTOM_FILTER_EXPRESSION__CONTEXT

    static final int CUSTOM_FILTER_EXPRESSION__CONTEXT

  The feature id for the 'Context' containment reference.

  See Also:
    Constant Field Values

### CUSTOM_FILTER_EXPRESSION_FEATURE_COUNT

    static final int CUSTOM_FILTER_EXPRESSION_FEATURE_COUNT

  The number of structural features of the 'Custom Filter Expression' class.

  See Also:
    Constant Field Values

### DATA_ACCESS_DESIGN

    static final int DATA_ACCESS_DESIGN

  The meta object id for the '`Data Access Design`' class.

  See Also:
    `DataAccessDesignImpl`, `DesignPackageImpl.getDataAccessDesign()`, Constant Field Values

### DATA_ACCESS_DESIGN__DATA_SET_DESIGN

    static final int DATA_ACCESS_DESIGN__DATA_SET_DESIGN

  The feature id for the 'Data Set Design' containment reference.

  See Also:
    Constant Field Values

### DATA_ACCESS_DESIGN_FEATURE_COUNT

    static final int DATA_ACCESS_DESIGN_FEATURE_COUNT

  The number of structural features of the 'Data Access Design' class.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES

    static final int DATA_ELEMENT_ATTRIBUTES

  The meta object id for the '`Data Element Attributes`' class.

  See Also:
    `DataElementAttributesImpl`, `DesignPackageImpl.getDataElementAttributes()`, Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__IDENTIFIER

    static final int DATA_ELEMENT_ATTRIBUTES__IDENTIFIER

  The feature id for the 'Identifier' containment reference.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__NAME

    static final int DATA_ELEMENT_ATTRIBUTES__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__POSITION

    static final int DATA_ELEMENT_ATTRIBUTES__POSITION

  The feature id for the 'Position' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__NATIVE_DATA_TYPE_CODE

    static final int DATA_ELEMENT_ATTRIBUTES__NATIVE_DATA_TYPE_CODE

  The feature id for the 'Native Data Type Code' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__PRECISION

    static final int DATA_ELEMENT_ATTRIBUTES__PRECISION

  The feature id for the 'Precision' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__SCALE

    static final int DATA_ELEMENT_ATTRIBUTES__SCALE

  The feature id for the 'Scale' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__NULLABILITY

    static final int DATA_ELEMENT_ATTRIBUTES__NULLABILITY

  The feature id for the 'Nullability' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__UI_HINTS

    static final int DATA_ELEMENT_ATTRIBUTES__UI_HINTS

  The feature id for the 'Ui Hints' containment reference.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES_FEATURE_COUNT

    static final int DATA_ELEMENT_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Data Element Attributes' class.

  See Also:
    Constant Field Values

### DATA_ELEMENT_IDENTIFIER

    static final int DATA_ELEMENT_IDENTIFIER

  The meta object id for the '`Data Element Identifier`' class.

  See Also:
    `DataElementIdentifierImpl`, `DesignPackageImpl.getDataElementIdentifier()`, Constant Field Values

### DATA_ELEMENT_IDENTIFIER__NAME

    static final int DATA_ELEMENT_IDENTIFIER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_IDENTIFIER__POSITION

    static final int DATA_ELEMENT_IDENTIFIER__POSITION

  The feature id for the 'Position' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_IDENTIFIER_FEATURE_COUNT

    static final int DATA_ELEMENT_IDENTIFIER_FEATURE_COUNT

  The number of structural features of the 'Data Element Identifier' class.

  See Also:
    Constant Field Values

### DATA_ELEMENT_IDENTIFIERS

    static final int DATA_ELEMENT_IDENTIFIERS

  The meta object id for the '`Data Element Identifiers`' class.

  See Also:
    `DataElementIdentifiersImpl`, `DesignPackageImpl.getDataElementIdentifiers()`, Constant Field Values

### DATA_ELEMENT_IDENTIFIERS__IDENTIFIERS

    static final int DATA_ELEMENT_IDENTIFIERS__IDENTIFIERS

  The feature id for the 'Identifiers' containment reference list.

  See Also:
    Constant Field Values

### DATA_ELEMENT_IDENTIFIERS_FEATURE_COUNT

    static final int DATA_ELEMENT_IDENTIFIERS_FEATURE_COUNT

  The number of structural features of the 'Data Element Identifiers' class.

  See Also:
    Constant Field Values

### DATA_ELEMENT_UI_HINTS

    static final int DATA_ELEMENT_UI_HINTS

  The meta object id for the '`Data Element UI Hints`' class.

  See Also:
    `DataElementUIHintsImpl`, `DesignPackageImpl.getDataElementUIHints()`, Constant Field Values

### DATA_ELEMENT_UI_HINTS__DISPLAY_NAME

    static final int DATA_ELEMENT_UI_HINTS__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_UI_HINTS__DESCRIPTION

    static final int DATA_ELEMENT_UI_HINTS__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_UI_HINTS_FEATURE_COUNT

    static final int DATA_ELEMENT_UI_HINTS_FEATURE_COUNT

  The number of structural features of the 'Data Element UI Hints' class.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN

    static final int DATA_SET_DESIGN

  The meta object id for the '`Data Set Design`' class.

  See Also:
    `DataSetDesignImpl`, `DesignPackageImpl.getDataSetDesign()`, Constant Field Values

### DATA_SET_DESIGN__NAME

    static final int DATA_SET_DESIGN__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__ODA_EXTENSION_DATA_SET_ID

    static final int DATA_SET_DESIGN__ODA_EXTENSION_DATA_SET_ID

  The feature id for the 'Oda Extension Data Set Id' attribute.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__DATA_SOURCE_DESIGN

    static final int DATA_SET_DESIGN__DATA_SOURCE_DESIGN

  The feature id for the 'Data Source Design' containment reference.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__QUERY

    static final int DATA_SET_DESIGN__QUERY

  The feature id for the 'Query' containment reference.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__DISPLAY_NAME

    static final int DATA_SET_DESIGN__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__PUBLIC_PROPERTIES

    static final int DATA_SET_DESIGN__PUBLIC_PROPERTIES

  The feature id for the 'Public Properties' containment reference.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__PRIVATE_PROPERTIES

    static final int DATA_SET_DESIGN__PRIVATE_PROPERTIES

  The feature id for the 'Private Properties' containment reference.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__RESULT_SETS

    static final int DATA_SET_DESIGN__RESULT_SETS

  The feature id for the 'Result Sets' containment reference.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__PRIMARY_RESULT_SET_NAME

    static final int DATA_SET_DESIGN__PRIMARY_RESULT_SET_NAME

  The feature id for the 'Primary Result Set Name' attribute.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__PARAMETERS

    static final int DATA_SET_DESIGN__PARAMETERS

  The feature id for the 'Parameters' containment reference.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN_FEATURE_COUNT

    static final int DATA_SET_DESIGN_FEATURE_COUNT

  The number of structural features of the 'Data Set Design' class.

  See Also:
    Constant Field Values

### DATA_SET_PARAMETERS

    static final int DATA_SET_PARAMETERS

  The meta object id for the '`Data Set Parameters`' class.

  See Also:
    `DataSetParametersImpl`, `DesignPackageImpl.getDataSetParameters()`, Constant Field Values

### DATA_SET_PARAMETERS__PARAMETER_DEFINITIONS

    static final int DATA_SET_PARAMETERS__PARAMETER_DEFINITIONS

  The feature id for the 'Parameter Definitions' containment reference list.

  See Also:
    Constant Field Values

### DATA_SET_PARAMETERS__DERIVED_META_DATA

    static final int DATA_SET_PARAMETERS__DERIVED_META_DATA

  The feature id for the 'Derived Meta Data' attribute.

  See Also:
    Constant Field Values

### DATA_SET_PARAMETERS_FEATURE_COUNT

    static final int DATA_SET_PARAMETERS_FEATURE_COUNT

  The number of structural features of the 'Data Set Parameters' class.

  See Also:
    Constant Field Values

### DATA_SET_QUERY

    static final int DATA_SET_QUERY

  The meta object id for the '`Data Set Query`' class.

  See Also:
    `DataSetQueryImpl`, `DesignPackageImpl.getDataSetQuery()`, Constant Field Values

### DATA_SET_QUERY__QUERY_TEXT

    static final int DATA_SET_QUERY__QUERY_TEXT

  The feature id for the 'Query Text' attribute.

  See Also:
    Constant Field Values

### DATA_SET_QUERY_FEATURE_COUNT

    static final int DATA_SET_QUERY_FEATURE_COUNT

  The number of structural features of the 'Data Set Query' class.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN

    static final int DATA_SOURCE_DESIGN

  The meta object id for the '`Data Source Design`' class.

  See Also:
    `DataSourceDesignImpl`, `DesignPackageImpl.getDataSourceDesign()`, Constant Field Values

### DATA_SOURCE_DESIGN__NAME

    static final int DATA_SOURCE_DESIGN__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__ODA_EXTENSION_ID

    static final int DATA_SOURCE_DESIGN__ODA_EXTENSION_ID

  The feature id for the 'Oda Extension Id' attribute.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__ODA_EXTENSION_DATA_SOURCE_ID

    static final int DATA_SOURCE_DESIGN__ODA_EXTENSION_DATA_SOURCE_ID

  The feature id for the 'Oda Extension Data Source Id' attribute.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__DISPLAY_NAME

    static final int DATA_SOURCE_DESIGN__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__PUBLIC_PROPERTIES

    static final int DATA_SOURCE_DESIGN__PUBLIC_PROPERTIES

  The feature id for the 'Public Properties' containment reference.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__PRIVATE_PROPERTIES

    static final int DATA_SOURCE_DESIGN__PRIVATE_PROPERTIES

  The feature id for the 'Private Properties' containment reference.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__LINKED_PROFILE_NAME

    static final int DATA_SOURCE_DESIGN__LINKED_PROFILE_NAME

  The feature id for the 'Linked Profile Name' attribute.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__LINKED_PROFILE_STORE_FILE_PATH

    static final int DATA_SOURCE_DESIGN__LINKED_PROFILE_STORE_FILE_PATH

  The feature id for the 'Linked Profile Store File Path' attribute.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__HOST_RESOURCE_IDENTIFIERS

    static final int DATA_SOURCE_DESIGN__HOST_RESOURCE_IDENTIFIERS

  The feature id for the 'Host Resource Identifiers' containment reference.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__RESOURCE_FILE

    static final int DATA_SOURCE_DESIGN__RESOURCE_FILE

  The feature id for the 'Resource File' attribute.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN_FEATURE_COUNT

    static final int DATA_SOURCE_DESIGN_FEATURE_COUNT

  The number of structural features of the 'Data Source Design' class.

  See Also:
    Constant Field Values

### DESIGNER_STATE

    static final int DESIGNER_STATE

  The meta object id for the '`Designer State`' class.

  See Also:
    `DesignerStateImpl`, `DesignPackageImpl.getDesignerState()`, Constant Field Values

### DESIGNER_STATE__VERSION

    static final int DESIGNER_STATE__VERSION

  The feature id for the 'Version' attribute.

  See Also:
    Constant Field Values

### DESIGNER_STATE__STATE_CONTENT

    static final int DESIGNER_STATE__STATE_CONTENT

  The feature id for the 'State Content' containment reference.

  See Also:
    Constant Field Values

### DESIGNER_STATE_FEATURE_COUNT

    static final int DESIGNER_STATE_FEATURE_COUNT

  The number of structural features of the 'Designer State' class.

  See Also:
    Constant Field Values

### DESIGNER_STATE_CONTENT

    static final int DESIGNER_STATE_CONTENT

  The meta object id for the '`Designer State Content`' class.

  See Also:
    `DesignerStateContentImpl`, `DesignPackageImpl.getDesignerStateContent()`, Constant Field Values

### DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_STRING

    static final int DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_STRING

  The feature id for the 'State Content As String' attribute.

  See Also:
    Constant Field Values

### DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_BLOB

    static final int DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_BLOB

  The feature id for the 'State Content As Blob' attribute.

  See Also:
    Constant Field Values

### DESIGNER_STATE_CONTENT_FEATURE_COUNT

    static final int DESIGNER_STATE_CONTENT_FEATURE_COUNT

  The number of structural features of the 'Designer State Content' class.

  See Also:
    Constant Field Values

### DESIGN_SESSION_REQUEST

    static final int DESIGN_SESSION_REQUEST

  The meta object id for the '`Session Request`' class.

  See Also:
    `DesignSessionRequestImpl`, `DesignPackageImpl.getDesignSessionRequest()`, Constant Field Values

### DESIGN_SESSION_REQUEST__DATA_ACCESS_DESIGN

    static final int DESIGN_SESSION_REQUEST__DATA_ACCESS_DESIGN

  The feature id for the 'Data Access Design' containment reference.

  See Also:
    Constant Field Values

### DESIGN_SESSION_REQUEST__EDITABLE

    static final int DESIGN_SESSION_REQUEST__EDITABLE

  The feature id for the 'Editable' attribute.

  See Also:
    Constant Field Values

### DESIGN_SESSION_REQUEST__SESSION_LOCALE

    static final int DESIGN_SESSION_REQUEST__SESSION_LOCALE

  The feature id for the 'Session Locale' containment reference.

  See Also:
    Constant Field Values

### DESIGN_SESSION_REQUEST__DESIGNER_STATE

    static final int DESIGN_SESSION_REQUEST__DESIGNER_STATE

  The feature id for the 'Designer State' containment reference.

  See Also:
    Constant Field Values

### DESIGN_SESSION_REQUEST_FEATURE_COUNT

    static final int DESIGN_SESSION_REQUEST_FEATURE_COUNT

  The number of structural features of the 'Session Request' class.

  See Also:
    Constant Field Values

### DESIGN_SESSION_RESPONSE

    static final int DESIGN_SESSION_RESPONSE

  The meta object id for the '`Session Response`' class.

  See Also:
    `DesignSessionResponseImpl`, `DesignPackageImpl.getDesignSessionResponse()`, Constant Field Values

### DESIGN_SESSION_RESPONSE__SESSION_STATUS

    static final int DESIGN_SESSION_RESPONSE__SESSION_STATUS

  The feature id for the 'Session Status' attribute.

  See Also:
    Constant Field Values

### DESIGN_SESSION_RESPONSE__DATA_ACCESS_DESIGN

    static final int DESIGN_SESSION_RESPONSE__DATA_ACCESS_DESIGN

  The feature id for the 'Data Access Design' containment reference.

  See Also:
    Constant Field Values

### DESIGN_SESSION_RESPONSE__DESIGNER_STATE

    static final int DESIGN_SESSION_RESPONSE__DESIGNER_STATE

  The feature id for the 'Designer State' containment reference.

  See Also:
    Constant Field Values

### DESIGN_SESSION_RESPONSE_FEATURE_COUNT

    static final int DESIGN_SESSION_RESPONSE_FEATURE_COUNT

  The number of structural features of the 'Session Response' class.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT

    static final int DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `DesignPackageImpl.getDocumentRoot()`, Constant Field Values

### DOCUMENT_ROOT__MIXED

    static final int DOCUMENT_ROOT__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final int DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The feature id for the 'XMLNS Prefix Map' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The feature id for the 'XSI Schema Location' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ODA_DESIGN_SESSION

    static final int DOCUMENT_ROOT__ODA_DESIGN_SESSION

  The feature id for the 'Oda Design Session' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT_FEATURE_COUNT

    static final int DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### DYNAMIC_FILTER_EXPRESSION

    static final int DYNAMIC_FILTER_EXPRESSION

  The meta object id for the '`Dynamic Filter Expression`' class.

  See Also:
    `DynamicFilterExpressionImpl`, `DesignPackageImpl.getDynamicFilterExpression()`, Constant Field Values

### DYNAMIC_FILTER_EXPRESSION__NEGATABLE

    static final int DYNAMIC_FILTER_EXPRESSION__NEGATABLE

  The feature id for the 'Negatable' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_FILTER_EXPRESSION__CONTEXT

    static final int DYNAMIC_FILTER_EXPRESSION__CONTEXT

  The feature id for the 'Context' containment reference.

  See Also:
    Constant Field Values

### DYNAMIC_FILTER_EXPRESSION__DEFAULT_TYPE

    static final int DYNAMIC_FILTER_EXPRESSION__DEFAULT_TYPE

  The feature id for the 'Default Type' containment reference.

  See Also:
    Constant Field Values

### DYNAMIC_FILTER_EXPRESSION_FEATURE_COUNT

    static final int DYNAMIC_FILTER_EXPRESSION_FEATURE_COUNT

  The number of structural features of the 'Dynamic Filter Expression' class.

  See Also:
    Constant Field Values

### DYNAMIC_VALUES_QUERY

    static final int DYNAMIC_VALUES_QUERY

  The meta object id for the '`Dynamic Values Query`' class.

  See Also:
    `DynamicValuesQueryImpl`, `DesignPackageImpl.getDynamicValuesQuery()`, Constant Field Values

### DYNAMIC_VALUES_QUERY__DATA_SET_DESIGN

    static final int DYNAMIC_VALUES_QUERY__DATA_SET_DESIGN

  The feature id for the 'Data Set Design' containment reference.

  See Also:
    Constant Field Values

### DYNAMIC_VALUES_QUERY__ENABLED

    static final int DYNAMIC_VALUES_QUERY__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_VALUES_QUERY__VALUE_COLUMN_IDENTIFIER

    static final int DYNAMIC_VALUES_QUERY__VALUE_COLUMN_IDENTIFIER

  The feature id for the 'Value Column Identifier' containment reference.

  See Also:
    Constant Field Values

### DYNAMIC_VALUES_QUERY__VALUE_COLUMN

    static final int DYNAMIC_VALUES_QUERY__VALUE_COLUMN

  The feature id for the 'Value Column' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_VALUES_QUERY__DISPLAY_NAME_COLUMN

    static final int DYNAMIC_VALUES_QUERY__DISPLAY_NAME_COLUMN

  The feature id for the 'Display Name Column' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_VALUES_QUERY_FEATURE_COUNT

    static final int DYNAMIC_VALUES_QUERY_FEATURE_COUNT

  The number of structural features of the 'Dynamic Values Query' class.

  See Also:
    Constant Field Values

### EXPRESSION_ARGUMENTS

    static final int EXPRESSION_ARGUMENTS

  The meta object id for the '`Expression Arguments`' class.

  See Also:
    `ExpressionArgumentsImpl`, `DesignPackageImpl.getExpressionArguments()`, Constant Field Values

### EXPRESSION_ARGUMENTS__EXPRESSION_PARAMETERS

    static final int EXPRESSION_ARGUMENTS__EXPRESSION_PARAMETERS

  The feature id for the 'Expression Parameters' containment reference.

  See Also:
    Constant Field Values

### EXPRESSION_ARGUMENTS_FEATURE_COUNT

    static final int EXPRESSION_ARGUMENTS_FEATURE_COUNT

  The number of structural features of the 'Expression Arguments' class.

  See Also:
    Constant Field Values

### EXPRESSION_PARAMETER_DEFINITION

    static final int EXPRESSION_PARAMETER_DEFINITION

  The meta object id for the '`Expression Parameter Definition`' class.

  See Also:
    `ExpressionParameterDefinitionImpl`, `DesignPackageImpl.getExpressionParameterDefinition()`, Constant Field Values

### EXPRESSION_PARAMETER_DEFINITION__STATIC_VALUES

    static final int EXPRESSION_PARAMETER_DEFINITION__STATIC_VALUES

  The feature id for the 'Static Values' containment reference.

  See Also:
    Constant Field Values

### EXPRESSION_PARAMETER_DEFINITION__DYNAMIC_INPUT_PARAMETER

    static final int EXPRESSION_PARAMETER_DEFINITION__DYNAMIC_INPUT_PARAMETER

  The feature id for the 'Dynamic Input Parameter' containment reference.

  See Also:
    Constant Field Values

### EXPRESSION_PARAMETER_DEFINITION_FEATURE_COUNT

    static final int EXPRESSION_PARAMETER_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Expression Parameter Definition' class.

  See Also:
    Constant Field Values

### EXPRESSION_PARAMETERS

    static final int EXPRESSION_PARAMETERS

  The meta object id for the '`Expression Parameters`' class.

  See Also:
    `ExpressionParametersImpl`, `DesignPackageImpl.getExpressionParameters()`, Constant Field Values

### EXPRESSION_PARAMETERS__PARAMETER_DEFINITIONS

    static final int EXPRESSION_PARAMETERS__PARAMETER_DEFINITIONS

  The feature id for the 'Parameter Definitions' containment reference list.

  See Also:
    Constant Field Values

### EXPRESSION_PARAMETERS_FEATURE_COUNT

    static final int EXPRESSION_PARAMETERS_FEATURE_COUNT

  The number of structural features of the 'Expression Parameters' class.

  See Also:
    Constant Field Values

### EXPRESSION_VARIABLE

    static final int EXPRESSION_VARIABLE

  The meta object id for the '`Expression Variable`' class.

  See Also:
    `ExpressionVariableImpl`, `DesignPackageImpl.getExpressionVariable()`, Constant Field Values

### EXPRESSION_VARIABLE__TYPE

    static final int EXPRESSION_VARIABLE__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values

### EXPRESSION_VARIABLE__IDENTIFIER

    static final int EXPRESSION_VARIABLE__IDENTIFIER

  The feature id for the 'Identifier' attribute.

  See Also:
    Constant Field Values

### EXPRESSION_VARIABLE__NATIVE_DATA_TYPE_CODE

    static final int EXPRESSION_VARIABLE__NATIVE_DATA_TYPE_CODE

  The feature id for the 'Native Data Type Code' attribute.

  See Also:
    Constant Field Values

### EXPRESSION_VARIABLE_FEATURE_COUNT

    static final int EXPRESSION_VARIABLE_FEATURE_COUNT

  The number of structural features of the 'Expression Variable' class.

  See Also:
    Constant Field Values

### FILTER_EXPRESSION_TYPE

    static final int FILTER_EXPRESSION_TYPE

  The meta object id for the '`Filter Expression Type`' class.

  See Also:
    `FilterExpressionTypeImpl`, `DesignPackageImpl.getFilterExpressionType()`, Constant Field Values

### FILTER_EXPRESSION_TYPE__DECLARING_EXTENSION_ID

    static final int FILTER_EXPRESSION_TYPE__DECLARING_EXTENSION_ID

  The feature id for the 'Declaring Extension Id' attribute.

  See Also:
    Constant Field Values

### FILTER_EXPRESSION_TYPE__ID

    static final int FILTER_EXPRESSION_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### FILTER_EXPRESSION_TYPE_FEATURE_COUNT

    static final int FILTER_EXPRESSION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Filter Expression Type' class.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES

    static final int INPUT_ELEMENT_ATTRIBUTES

  The meta object id for the '`Input Element Attributes`' class.

  See Also:
    `InputElementAttributesImpl`, `DesignPackageImpl.getInputElementAttributes()`, Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__DEFAULT_SCALAR_VALUE

    static final int INPUT_ELEMENT_ATTRIBUTES__DEFAULT_SCALAR_VALUE

  The feature id for the 'Default Scalar Value' attribute.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__DEFAULT_VALUES

    static final int INPUT_ELEMENT_ATTRIBUTES__DEFAULT_VALUES

  The feature id for the 'Default Values' containment reference.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__EDITABLE

    static final int INPUT_ELEMENT_ATTRIBUTES__EDITABLE

  The feature id for the 'Editable' attribute.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__OPTIONAL

    static final int INPUT_ELEMENT_ATTRIBUTES__OPTIONAL

  The feature id for the 'Optional' attribute.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__MASKS_VALUE

    static final int INPUT_ELEMENT_ATTRIBUTES__MASKS_VALUE

  The feature id for the 'Masks Value' attribute.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__STATIC_VALUE_CHOICES

    static final int INPUT_ELEMENT_ATTRIBUTES__STATIC_VALUE_CHOICES

  The feature id for the 'Static Value Choices' containment reference.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__DYNAMIC_VALUE_CHOICES

    static final int INPUT_ELEMENT_ATTRIBUTES__DYNAMIC_VALUE_CHOICES

  The feature id for the 'Dynamic Value Choices' containment reference.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__UI_HINTS

    static final int INPUT_ELEMENT_ATTRIBUTES__UI_HINTS

  The feature id for the 'Ui Hints' containment reference.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES_FEATURE_COUNT

    static final int INPUT_ELEMENT_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Input Element Attributes' class.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_UI_HINTS

    static final int INPUT_ELEMENT_UI_HINTS

  The meta object id for the '`Input Element UI Hints`' class.

  See Also:
    `InputElementUIHintsImpl`, `DesignPackageImpl.getInputElementUIHints()`, Constant Field Values

### INPUT_ELEMENT_UI_HINTS__PROMPT_STYLE

    static final int INPUT_ELEMENT_UI_HINTS__PROMPT_STYLE

  The feature id for the 'Prompt Style' attribute.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_UI_HINTS__AUTO_SUGGEST_THRESHOLD

    static final int INPUT_ELEMENT_UI_HINTS__AUTO_SUGGEST_THRESHOLD

  The feature id for the 'Auto Suggest Threshold' attribute.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_UI_HINTS_FEATURE_COUNT

    static final int INPUT_ELEMENT_UI_HINTS_FEATURE_COUNT

  The number of structural features of the 'Input Element UI Hints' class.

  See Also:
    Constant Field Values

### INPUT_PARAMETER_ATTRIBUTES

    static final int INPUT_PARAMETER_ATTRIBUTES

  The meta object id for the '`Input Parameter Attributes`' class.

  See Also:
    `InputParameterAttributesImpl`, `DesignPackageImpl.getInputParameterAttributes()`, Constant Field Values

### INPUT_PARAMETER_ATTRIBUTES__ELEMENT_ATTRIBUTES

    static final int INPUT_PARAMETER_ATTRIBUTES__ELEMENT_ATTRIBUTES

  The feature id for the 'Element Attributes' containment reference.

  See Also:
    Constant Field Values

### INPUT_PARAMETER_ATTRIBUTES__UI_HINTS

    static final int INPUT_PARAMETER_ATTRIBUTES__UI_HINTS

  The feature id for the 'Ui Hints' containment reference.

  See Also:
    Constant Field Values

### INPUT_PARAMETER_ATTRIBUTES_FEATURE_COUNT

    static final int INPUT_PARAMETER_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Input Parameter Attributes' class.

  See Also:
    Constant Field Values

### INPUT_PARAMETER_UI_HINTS

    static final int INPUT_PARAMETER_UI_HINTS

  The meta object id for the '`Input Parameter UI Hints`' class.

  See Also:
    `InputParameterUIHintsImpl`, `DesignPackageImpl.getInputParameterUIHints()`, Constant Field Values

### INPUT_PARAMETER_UI_HINTS__GROUP_PROMPT_DISPLAY_NAME

    static final int INPUT_PARAMETER_UI_HINTS__GROUP_PROMPT_DISPLAY_NAME

  The feature id for the 'Group Prompt Display Name' attribute.

  See Also:
    Constant Field Values

### INPUT_PARAMETER_UI_HINTS_FEATURE_COUNT

    static final int INPUT_PARAMETER_UI_HINTS_FEATURE_COUNT

  The number of structural features of the 'Input Parameter UI Hints' class.

  See Also:
    Constant Field Values

### LOCALE

    static final int LOCALE

  The meta object id for the '`Locale`' class.

  See Also:
    `LocaleImpl`, `DesignPackageImpl.getLocale()`, Constant Field Values

### LOCALE__LANGUAGE

    static final int LOCALE__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### LOCALE__COUNTRY

    static final int LOCALE__COUNTRY

  The feature id for the 'Country' attribute.

  See Also:
    Constant Field Values

### LOCALE__VARIANT

    static final int LOCALE__VARIANT

  The feature id for the 'Variant' attribute.

  See Also:
    Constant Field Values

### LOCALE_FEATURE_COUNT

    static final int LOCALE_FEATURE_COUNT

  The number of structural features of the 'Locale' class.

  See Also:
    Constant Field Values

### NAME_VALUE_PAIR

    static final int NAME_VALUE_PAIR

  The meta object id for the '`Name Value Pair`' class.

  See Also:
    `NameValuePairImpl`, `DesignPackageImpl.getNameValuePair()`, Constant Field Values

### NAME_VALUE_PAIR__NAME

    static final int NAME_VALUE_PAIR__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### NAME_VALUE_PAIR__VALUE

    static final int NAME_VALUE_PAIR__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### NAME_VALUE_PAIR_FEATURE_COUNT

    static final int NAME_VALUE_PAIR_FEATURE_COUNT

  The number of structural features of the 'Name Value Pair' class.

  See Also:
    Constant Field Values

### NOT_EXPRESSION

    static final int NOT_EXPRESSION

  The meta object id for the '`Not Expression`' class.

  See Also:
    `NotExpressionImpl`, `DesignPackageImpl.getNotExpression()`, Constant Field Values

### NOT_EXPRESSION__NEGATABLE

    static final int NOT_EXPRESSION__NEGATABLE

  The feature id for the 'Negatable' attribute.

  See Also:
    Constant Field Values

### NOT_EXPRESSION__NEGATING_EXPRESSION

    static final int NOT_EXPRESSION__NEGATING_EXPRESSION

  The feature id for the 'Negating Expression' containment reference.

  See Also:
    Constant Field Values

### NOT_EXPRESSION_FEATURE_COUNT

    static final int NOT_EXPRESSION_FEATURE_COUNT

  The number of structural features of the 'Not Expression' class.

  See Also:
    Constant Field Values

### ODA_DESIGN_SESSION

    static final int ODA_DESIGN_SESSION

  The meta object id for the '`Oda Design Session`' class.

  See Also:
    `OdaDesignSessionImpl`, `DesignPackageImpl.getOdaDesignSession()`, Constant Field Values

### ODA_DESIGN_SESSION__REQUEST

    static final int ODA_DESIGN_SESSION__REQUEST

  The feature id for the 'Request' containment reference.

  See Also:
    Constant Field Values

### ODA_DESIGN_SESSION__RESPONSE

    static final int ODA_DESIGN_SESSION__RESPONSE

  The feature id for the 'Response' containment reference.

  See Also:
    Constant Field Values

### ODA_DESIGN_SESSION_FEATURE_COUNT

    static final int ODA_DESIGN_SESSION_FEATURE_COUNT

  The number of structural features of the 'Oda Design Session' class.

  See Also:
    Constant Field Values

### OR_EXPRESSION

    static final int OR_EXPRESSION

  The meta object id for the '`Or Expression`' class.

  See Also:
    `OrExpressionImpl`, `DesignPackageImpl.getOrExpression()`, Constant Field Values

### OR_EXPRESSION__NEGATABLE

    static final int OR_EXPRESSION__NEGATABLE

  The feature id for the 'Negatable' attribute.

  See Also:
    Constant Field Values

### OR_EXPRESSION__CHILDREN

    static final int OR_EXPRESSION__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### OR_EXPRESSION_FEATURE_COUNT

    static final int OR_EXPRESSION_FEATURE_COUNT

  The number of structural features of the 'Or Expression' class.

  See Also:
    Constant Field Values

### OUTPUT_ELEMENT_ATTRIBUTES

    static final int OUTPUT_ELEMENT_ATTRIBUTES

  The meta object id for the '`Output Element Attributes`' class.

  See Also:
    `OutputElementAttributesImpl`, `DesignPackageImpl.getOutputElementAttributes()`, Constant Field Values

### OUTPUT_ELEMENT_ATTRIBUTES__LABEL

    static final int OUTPUT_ELEMENT_ATTRIBUTES__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### OUTPUT_ELEMENT_ATTRIBUTES__FORMATTING_HINTS

    static final int OUTPUT_ELEMENT_ATTRIBUTES__FORMATTING_HINTS

  The feature id for the 'Formatting Hints' containment reference.

  See Also:
    Constant Field Values

### OUTPUT_ELEMENT_ATTRIBUTES__HELP_TEXT

    static final int OUTPUT_ELEMENT_ATTRIBUTES__HELP_TEXT

  The feature id for the 'Help Text' attribute.

  See Also:
    Constant Field Values

### OUTPUT_ELEMENT_ATTRIBUTES_FEATURE_COUNT

    static final int OUTPUT_ELEMENT_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Output Element Attributes' class.

  See Also:
    Constant Field Values

### PARAMETER_DEFINITION

    static final int PARAMETER_DEFINITION

  The meta object id for the '`Parameter Definition`' class.

  See Also:
    `ParameterDefinitionImpl`, `DesignPackageImpl.getParameterDefinition()`, Constant Field Values

### PARAMETER_DEFINITION__IN_OUT_MODE

    static final int PARAMETER_DEFINITION__IN_OUT_MODE

  The feature id for the 'In Out Mode' attribute.

  See Also:
    Constant Field Values

### PARAMETER_DEFINITION__ATTRIBUTES

    static final int PARAMETER_DEFINITION__ATTRIBUTES

  The feature id for the 'Attributes' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_DEFINITION__INPUT_ATTRIBUTES

    static final int PARAMETER_DEFINITION__INPUT_ATTRIBUTES

  The feature id for the 'Input Attributes' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_DEFINITION__OUTPUT_USAGE_HINTS

    static final int PARAMETER_DEFINITION__OUTPUT_USAGE_HINTS

  The feature id for the 'Output Usage Hints' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_DEFINITION__FIELDS

    static final int PARAMETER_DEFINITION__FIELDS

  The feature id for the 'Fields' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_DEFINITION_FEATURE_COUNT

    static final int PARAMETER_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Parameter Definition' class.

  See Also:
    Constant Field Values

### PARAMETER_FIELD_DEFINITION

    static final int PARAMETER_FIELD_DEFINITION

  The meta object id for the '`Parameter Field Definition`' class.

  See Also:
    `ParameterFieldDefinitionImpl`, `DesignPackageImpl.getParameterFieldDefinition()`, Constant Field Values

### PARAMETER_FIELD_DEFINITION__ATTRIBUTES

    static final int PARAMETER_FIELD_DEFINITION__ATTRIBUTES

  The feature id for the 'Attributes' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_FIELD_DEFINITION__INPUT_ATTRIBUTES

    static final int PARAMETER_FIELD_DEFINITION__INPUT_ATTRIBUTES

  The feature id for the 'Input Attributes' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_FIELD_DEFINITION__OUTPUT_USAGE_HINTS

    static final int PARAMETER_FIELD_DEFINITION__OUTPUT_USAGE_HINTS

  The feature id for the 'Output Usage Hints' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_FIELD_DEFINITION_FEATURE_COUNT

    static final int PARAMETER_FIELD_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Parameter Field Definition' class.

  See Also:
    Constant Field Values

### PARAMETER_FIELDS

    static final int PARAMETER_FIELDS

  The meta object id for the '`Parameter Fields`' class.

  See Also:
    `ParameterFieldsImpl`, `DesignPackageImpl.getParameterFields()`, Constant Field Values

### PARAMETER_FIELDS__FIELD_COLLECTION

    static final int PARAMETER_FIELDS__FIELD_COLLECTION

  The feature id for the 'Field Collection' containment reference list.

  See Also:
    Constant Field Values

### PARAMETER_FIELDS_FEATURE_COUNT

    static final int PARAMETER_FIELDS_FEATURE_COUNT

  The number of structural features of the 'Parameter Fields' class.

  See Also:
    Constant Field Values

### PROPERTIES

    static final int PROPERTIES

  The meta object id for the '`Properties`' class.

  See Also:
    `PropertiesImpl`, `DesignPackageImpl.getProperties()`, Constant Field Values

### PROPERTIES__PROPERTIES

    static final int PROPERTIES__PROPERTIES

  The feature id for the 'Properties' containment reference list.

  See Also:
    Constant Field Values

### PROPERTIES_FEATURE_COUNT

    static final int PROPERTIES_FEATURE_COUNT

  The number of structural features of the 'Properties' class.

  See Also:
    Constant Field Values

### PROPERTY

    static final int PROPERTY

  The meta object id for the '`Property`' class.

  See Also:
    `PropertyImpl`, `DesignPackageImpl.getProperty()`, Constant Field Values

### PROPERTY__NAME_VALUE

    static final int PROPERTY__NAME_VALUE

  The feature id for the 'Name Value' containment reference.

  See Also:
    Constant Field Values

### PROPERTY__DESIGN_ATTRIBUTES

    static final int PROPERTY__DESIGN_ATTRIBUTES

  The feature id for the 'Design Attributes' containment reference.

  See Also:
    Constant Field Values

### PROPERTY_FEATURE_COUNT

    static final int PROPERTY_FEATURE_COUNT

  The number of structural features of the 'Property' class.

  See Also:
    Constant Field Values

### PROPERTY_ATTRIBUTES

    static final int PROPERTY_ATTRIBUTES

  The meta object id for the '`Property Attributes`' class.

  See Also:
    `PropertyAttributesImpl`, `DesignPackageImpl.getPropertyAttributes()`, Constant Field Values

### PROPERTY_ATTRIBUTES__DISPLAY_NAME

    static final int PROPERTY_ATTRIBUTES__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values

### PROPERTY_ATTRIBUTES__ELEMENT_ATTRIBUTES

    static final int PROPERTY_ATTRIBUTES__ELEMENT_ATTRIBUTES

  The feature id for the 'Element Attributes' containment reference.

  See Also:
    Constant Field Values

### PROPERTY_ATTRIBUTES__DERIVED_META_DATA

    static final int PROPERTY_ATTRIBUTES__DERIVED_META_DATA

  The feature id for the 'Derived Meta Data' attribute.

  See Also:
    Constant Field Values

### PROPERTY_ATTRIBUTES_FEATURE_COUNT

    static final int PROPERTY_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Property Attributes' class.

  See Also:
    Constant Field Values

### RESOURCE_IDENTIFIERS

    static final int RESOURCE_IDENTIFIERS

  The meta object id for the '`Resource Identifiers`' class.

  See Also:
    `ResourceIdentifiersImpl`, `DesignPackageImpl.getResourceIdentifiers()`, Constant Field Values

### RESOURCE_IDENTIFIERS__APPL_RESOURCE_BASE_URI_STRING

    static final int RESOURCE_IDENTIFIERS__APPL_RESOURCE_BASE_URI_STRING

  The feature id for the 'Appl Resource Base URI String' attribute.

  See Also:
    Constant Field Values

### RESOURCE_IDENTIFIERS__DESIGN_RESOURCE_BASE_URI_STRING

    static final int RESOURCE_IDENTIFIERS__DESIGN_RESOURCE_BASE_URI_STRING

  The feature id for the 'Design Resource Base URI String' attribute.

  See Also:
    Constant Field Values

### RESOURCE_IDENTIFIERS_FEATURE_COUNT

    static final int RESOURCE_IDENTIFIERS_FEATURE_COUNT

  The number of structural features of the 'Resource Identifiers' class.

  See Also:
    Constant Field Values

### RESULT_SET_COLUMNS

    static final int RESULT_SET_COLUMNS

  The meta object id for the '`Result Set Columns`' class.

  See Also:
    `ResultSetColumnsImpl`, `DesignPackageImpl.getResultSetColumns()`, Constant Field Values

### RESULT_SET_COLUMNS__RESULT_COLUMN_DEFINITIONS

    static final int RESULT_SET_COLUMNS__RESULT_COLUMN_DEFINITIONS

  The feature id for the 'Result Column Definitions' containment reference list.

  See Also:
    Constant Field Values

### RESULT_SET_COLUMNS_FEATURE_COUNT

    static final int RESULT_SET_COLUMNS_FEATURE_COUNT

  The number of structural features of the 'Result Set Columns' class.

  See Also:
    Constant Field Values

### RESULT_SET_CRITERIA

    static final int RESULT_SET_CRITERIA

  The meta object id for the '`Result Set Criteria`' class.

  See Also:
    `ResultSetCriteriaImpl`, `DesignPackageImpl.getResultSetCriteria()`, Constant Field Values

### RESULT_SET_CRITERIA__FILTER_SPECIFICATION

    static final int RESULT_SET_CRITERIA__FILTER_SPECIFICATION

  The feature id for the 'Filter Specification' containment reference.

  See Also:
    Constant Field Values

### RESULT_SET_CRITERIA__ROW_ORDERING

    static final int RESULT_SET_CRITERIA__ROW_ORDERING

  The feature id for the 'Row Ordering' containment reference.

  See Also:
    Constant Field Values

### RESULT_SET_CRITERIA_FEATURE_COUNT

    static final int RESULT_SET_CRITERIA_FEATURE_COUNT

  The number of structural features of the 'Result Set Criteria' class.

  See Also:
    Constant Field Values

### RESULT_SET_DEFINITION

    static final int RESULT_SET_DEFINITION

  The meta object id for the '`Result Set Definition`' class.

  See Also:
    `ResultSetDefinitionImpl`, `DesignPackageImpl.getResultSetDefinition()`, Constant Field Values

### RESULT_SET_DEFINITION__NAME

    static final int RESULT_SET_DEFINITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### RESULT_SET_DEFINITION__RESULT_SET_COLUMNS

    static final int RESULT_SET_DEFINITION__RESULT_SET_COLUMNS

  The feature id for the 'Result Set Columns' containment reference.

  See Also:
    Constant Field Values

### RESULT_SET_DEFINITION__CRITERIA

    static final int RESULT_SET_DEFINITION__CRITERIA

  The feature id for the 'Criteria' containment reference.

  See Also:
    Constant Field Values

### RESULT_SET_DEFINITION_FEATURE_COUNT

    static final int RESULT_SET_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Result Set Definition' class.

  See Also:
    Constant Field Values

### RESULT_SETS

    static final int RESULT_SETS

  The meta object id for the '`Result Sets`' class.

  See Also:
    `ResultSetsImpl`, `DesignPackageImpl.getResultSets()`, Constant Field Values

### RESULT_SETS__RESULT_SET_DEFINITIONS

    static final int RESULT_SETS__RESULT_SET_DEFINITIONS

  The feature id for the 'Result Set Definitions' containment reference list.

  See Also:
    Constant Field Values

### RESULT_SETS__DERIVED_META_DATA

    static final int RESULT_SETS__DERIVED_META_DATA

  The feature id for the 'Derived Meta Data' attribute.

  See Also:
    Constant Field Values

### RESULT_SETS_FEATURE_COUNT

    static final int RESULT_SETS_FEATURE_COUNT

  The number of structural features of the 'Result Sets' class.

  See Also:
    Constant Field Values

### RESULT_SUBSET

    static final int RESULT_SUBSET

  The meta object id for the '`Result Subset`' class.

  See Also:
    `ResultSubsetImpl`, `DesignPackageImpl.getResultSubset()`, Constant Field Values

### RESULT_SUBSET__DATA_SET_DESIGN

    static final int RESULT_SUBSET__DATA_SET_DESIGN

  The feature id for the 'Data Set Design' containment reference.

  See Also:
    Constant Field Values

### RESULT_SUBSET__RESULT_SET_NAME

    static final int RESULT_SUBSET__RESULT_SET_NAME

  The feature id for the 'Result Set Name' attribute.

  See Also:
    Constant Field Values

### RESULT_SUBSET__COLUMN_IDENTIFIERS

    static final int RESULT_SUBSET__COLUMN_IDENTIFIERS

  The feature id for the 'Column Identifiers' containment reference.

  See Also:
    Constant Field Values

### RESULT_SUBSET_FEATURE_COUNT

    static final int RESULT_SUBSET_FEATURE_COUNT

  The number of structural features of the 'Result Subset' class.

  See Also:
    Constant Field Values

### SCALAR_VALUE_CHOICES

    static final int SCALAR_VALUE_CHOICES

  The meta object id for the '`Scalar Value Choices`' class.

  See Also:
    `ScalarValueChoicesImpl`, `DesignPackageImpl.getScalarValueChoices()`, Constant Field Values

### SCALAR_VALUE_CHOICES__SCALAR_VALUES

    static final int SCALAR_VALUE_CHOICES__SCALAR_VALUES

  The feature id for the 'Scalar Values' containment reference list.

  See Also:
    Constant Field Values

### SCALAR_VALUE_CHOICES_FEATURE_COUNT

    static final int SCALAR_VALUE_CHOICES_FEATURE_COUNT

  The number of structural features of the 'Scalar Value Choices' class.

  See Also:
    Constant Field Values

### SCALAR_VALUE_DEFINITION

    static final int SCALAR_VALUE_DEFINITION

  The meta object id for the '`Scalar Value Definition`' class.

  See Also:
    `ScalarValueDefinitionImpl`, `DesignPackageImpl.getScalarValueDefinition()`, Constant Field Values

### SCALAR_VALUE_DEFINITION__VALUE

    static final int SCALAR_VALUE_DEFINITION__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### SCALAR_VALUE_DEFINITION__DISPLAY_NAME

    static final int SCALAR_VALUE_DEFINITION__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values

### SCALAR_VALUE_DEFINITION_FEATURE_COUNT

    static final int SCALAR_VALUE_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Scalar Value Definition' class.

  See Also:
    Constant Field Values

### SORT_KEY

    static final int SORT_KEY

  The meta object id for the '`Sort Key`' class.

  See Also:
    `SortKeyImpl`, `DesignPackageImpl.getSortKey()`, Constant Field Values

### SORT_KEY__COLUMN_IDENTIFIER

    static final int SORT_KEY__COLUMN_IDENTIFIER

  The feature id for the 'Column Identifier' containment reference.

  See Also:
    Constant Field Values

### SORT_KEY__COLUMN_NAME

    static final int SORT_KEY__COLUMN_NAME

  The feature id for the 'Column Name' attribute.

  See Also:
    Constant Field Values

### SORT_KEY__COLUMN_POSITION

    static final int SORT_KEY__COLUMN_POSITION

  The feature id for the 'Column Position' attribute.

  See Also:
    Constant Field Values

### SORT_KEY__SORT_DIRECTION

    static final int SORT_KEY__SORT_DIRECTION

  The feature id for the 'Sort Direction' attribute.

  See Also:
    Constant Field Values

### SORT_KEY__NULL_VALUE_ORDERING

    static final int SORT_KEY__NULL_VALUE_ORDERING

  The feature id for the 'Null Value Ordering' attribute.

  See Also:
    Constant Field Values

### SORT_KEY__OPTIONAL

    static final int SORT_KEY__OPTIONAL

  The feature id for the 'Optional' attribute.

  See Also:
    Constant Field Values

### SORT_KEY_FEATURE_COUNT

    static final int SORT_KEY_FEATURE_COUNT

  The number of structural features of the 'Sort Key' class.

  See Also:
    Constant Field Values

### SORT_SPECIFICATION

    static final int SORT_SPECIFICATION

  The meta object id for the '`Sort Specification`' class.

  See Also:
    `SortSpecificationImpl`, `DesignPackageImpl.getSortSpecification()`, Constant Field Values

### SORT_SPECIFICATION__SORT_KEYS

    static final int SORT_SPECIFICATION__SORT_KEYS

  The feature id for the 'Sort Keys' containment reference list.

  See Also:
    Constant Field Values

### SORT_SPECIFICATION_FEATURE_COUNT

    static final int SORT_SPECIFICATION_FEATURE_COUNT

  The number of structural features of the 'Sort Specification' class.

  See Also:
    Constant Field Values

### STATIC_VALUES

    static final int STATIC_VALUES

  The meta object id for the '`Static Values`' class.

  See Also:
    `StaticValuesImpl`, `DesignPackageImpl.getStaticValues()`, Constant Field Values

### STATIC_VALUES__VALUES

    static final int STATIC_VALUES__VALUES

  The feature id for the 'Values' attribute list.

  See Also:
    Constant Field Values

### STATIC_VALUES_FEATURE_COUNT

    static final int STATIC_VALUES_FEATURE_COUNT

  The number of structural features of the 'Static Values' class.

  See Also:
    Constant Field Values

### VALUE_FORMAT_HINTS

    static final int VALUE_FORMAT_HINTS

  The meta object id for the '`Value Format Hints`' class.

  See Also:
    `ValueFormatHintsImpl`, `DesignPackageImpl.getValueFormatHints()`, Constant Field Values

### VALUE_FORMAT_HINTS__DISPLAY_SIZE

    static final int VALUE_FORMAT_HINTS__DISPLAY_SIZE

  The feature id for the 'Display Size' attribute.

  See Also:
    Constant Field Values

### VALUE_FORMAT_HINTS__DISPLAY_FORMAT

    static final int VALUE_FORMAT_HINTS__DISPLAY_FORMAT

  The feature id for the 'Display Format' attribute.

  See Also:
    Constant Field Values

### VALUE_FORMAT_HINTS__TEXT_FORMAT_TYPE

    static final int VALUE_FORMAT_HINTS__TEXT_FORMAT_TYPE

  The feature id for the 'Text Format Type' attribute.

  See Also:
    Constant Field Values

### VALUE_FORMAT_HINTS__HORIZONTAL_ALIGNMENT

    static final int VALUE_FORMAT_HINTS__HORIZONTAL_ALIGNMENT

  The feature id for the 'Horizontal Alignment' attribute.

  See Also:
    Constant Field Values

### VALUE_FORMAT_HINTS__TEXT_WRAP_TYPE

    static final int VALUE_FORMAT_HINTS__TEXT_WRAP_TYPE

  The feature id for the 'Text Wrap Type' attribute.

  See Also:
    Constant Field Values

### VALUE_FORMAT_HINTS_FEATURE_COUNT

    static final int VALUE_FORMAT_HINTS_FEATURE_COUNT

  The number of structural features of the 'Value Format Hints' class.

  See Also:
    Constant Field Values

### AXIS_TYPE

    static final int AXIS_TYPE

  The meta object id for the '`Axis Type`' enum.

  See Also:
    `AxisType`, `DesignPackageImpl.getAxisType()`, Constant Field Values

### ELEMENT_NULLABILITY

    static final int ELEMENT_NULLABILITY

  The meta object id for the '`Element Nullability`' enum.

  See Also:
    `ElementNullability`, `DesignPackageImpl.getElementNullability()`, Constant Field Values

### EXPRESSION_VARIABLE_TYPE

    static final int EXPRESSION_VARIABLE_TYPE

  The meta object id for the '`Expression Variable Type`' enum.

  See Also:
    `ExpressionVariableType`, `DesignPackageImpl.getExpressionVariableType()`, Constant Field Values

### HORIZONTAL_ALIGNMENT

    static final int HORIZONTAL_ALIGNMENT

  The meta object id for the '`Horizontal Alignment`' enum.

  See Also:
    `HorizontalAlignment`, `DesignPackageImpl.getHorizontalAlignment()`, Constant Field Values

### INPUT_PROMPT_CONTROL_STYLE

    static final int INPUT_PROMPT_CONTROL_STYLE

  The meta object id for the '`Input Prompt Control Style`' enum.

  See Also:
    `InputPromptControlStyle`, `DesignPackageImpl.getInputPromptControlStyle()`, Constant Field Values

### NULL_ORDERING_TYPE

    static final int NULL_ORDERING_TYPE

  The meta object id for the '`Null Ordering Type`' enum.

  See Also:
    `NullOrderingType`, `DesignPackageImpl.getNullOrderingType()`, Constant Field Values

### ODA_COMPLEX_DATA_TYPE

    static final int ODA_COMPLEX_DATA_TYPE

  The meta object id for the '`Oda Complex Data Type`' enum.

  See Also:
    `OdaComplexDataType`, `DesignPackageImpl.getOdaComplexDataType()`, Constant Field Values

### ODA_SCALAR_DATA_TYPE

    static final int ODA_SCALAR_DATA_TYPE

  The meta object id for the '`Oda Scalar Data Type`' enum.

  See Also:
    `OdaScalarDataType`, `DesignPackageImpl.getOdaScalarDataType()`, Constant Field Values

### PARAMETER_MODE

    static final int PARAMETER_MODE

  The meta object id for the '`Parameter Mode`' enum.

  See Also:
    `ParameterMode`, `DesignPackageImpl.getParameterMode()`, Constant Field Values

### SESSION_STATUS

    static final int SESSION_STATUS

  The meta object id for the '`Session Status`' enum.

  See Also:
    `SessionStatus`, `DesignPackageImpl.getSessionStatus()`, Constant Field Values

### SORT_DIRECTION_TYPE

    static final int SORT_DIRECTION_TYPE

  The meta object id for the '`Sort Direction Type`' enum.

  See Also:
    `SortDirectionType`, `DesignPackageImpl.getSortDirectionType()`, Constant Field Values

### TEXT_FORMAT_TYPE

    static final int TEXT_FORMAT_TYPE

  The meta object id for the '`Text Format Type`' enum.

  See Also:
    `TextFormatType`, `DesignPackageImpl.getTextFormatType()`, Constant Field Values

### TEXT_WRAP_TYPE

    static final int TEXT_WRAP_TYPE

  The meta object id for the '`Text Wrap Type`' enum.

  See Also:
    `TextWrapType`, `DesignPackageImpl.getTextWrapType()`, Constant Field Values

### AXIS_TYPE_OBJECT

    static final int AXIS_TYPE_OBJECT

  The meta object id for the 'Axis Type Object' data type.

  See Also:
    `AxisType`, `DesignPackageImpl.getAxisTypeObject()`, Constant Field Values

### ELEMENT_NULLABILITY_OBJECT

    static final int ELEMENT_NULLABILITY_OBJECT

  The meta object id for the 'Element Nullability Object' data type.

  See Also:
    `ElementNullability`, `DesignPackageImpl.getElementNullabilityObject()`, Constant Field Values

### EXPRESSION_VARIABLE_TYPE_OBJECT

    static final int EXPRESSION_VARIABLE_TYPE_OBJECT

  The meta object id for the 'Expression Variable Type Object' data type.

  See Also:
    `ExpressionVariableType`, `DesignPackageImpl.getExpressionVariableTypeObject()`, Constant Field Values

### HORIZONTAL_ALIGNMENT_OBJECT

    static final int HORIZONTAL_ALIGNMENT_OBJECT

  The meta object id for the 'Horizontal Alignment Object' data type.

  See Also:
    `HorizontalAlignment`, `DesignPackageImpl.getHorizontalAlignmentObject()`, Constant Field Values

### INPUT_PROMPT_CONTROL_STYLE_OBJECT

    static final int INPUT_PROMPT_CONTROL_STYLE_OBJECT

  The meta object id for the 'Input Prompt Control Style Object' data type.

  See Also:
    `InputPromptControlStyle`, `DesignPackageImpl.getInputPromptControlStyleObject()`, Constant Field Values

### NULL_ORDERING_TYPE_OBJECT

    static final int NULL_ORDERING_TYPE_OBJECT

  The meta object id for the 'Null Ordering Type Object' data type.

  See Also:
    `NullOrderingType`, `DesignPackageImpl.getNullOrderingTypeObject()`, Constant Field Values

### ODA_COMPLEX_DATA_TYPE_OBJECT

    static final int ODA_COMPLEX_DATA_TYPE_OBJECT

  The meta object id for the 'Oda Complex Data Type Object' data type.

  See Also:
    `OdaComplexDataType`, `DesignPackageImpl.getOdaComplexDataTypeObject()`, Constant Field Values

### ODA_SCALAR_DATA_TYPE_OBJECT

    static final int ODA_SCALAR_DATA_TYPE_OBJECT

  The meta object id for the 'Oda Scalar Data Type Object' data type.

  See Also:
    `OdaScalarDataType`, `DesignPackageImpl.getOdaScalarDataTypeObject()`, Constant Field Values

### PARAMETER_MODE_OBJECT

    static final int PARAMETER_MODE_OBJECT

  The meta object id for the 'Parameter Mode Object' data type.

  See Also:
    `ParameterMode`, `DesignPackageImpl.getParameterModeObject()`, Constant Field Values

### SESSION_STATUS_OBJECT

    static final int SESSION_STATUS_OBJECT

  The meta object id for the 'Session Status Object' data type.

  See Also:
    `SessionStatus`, `DesignPackageImpl.getSessionStatusObject()`, Constant Field Values

### SORT_DIRECTION_TYPE_OBJECT

    static final int SORT_DIRECTION_TYPE_OBJECT

  The meta object id for the 'Sort Direction Type Object' data type.

  See Also:
    `SortDirectionType`, `DesignPackageImpl.getSortDirectionTypeObject()`, Constant Field Values

### TEXT_FORMAT_TYPE_OBJECT

    static final int TEXT_FORMAT_TYPE_OBJECT

  The meta object id for the 'Text Format Type Object' data type.

  See Also:
    `TextFormatType`, `DesignPackageImpl.getTextFormatTypeObject()`, Constant Field Values

### TEXT_WRAP_TYPE_OBJECT

    static final int TEXT_WRAP_TYPE_OBJECT

  The meta object id for the 'Text Wrap Type Object' data type.

  See Also:
    `TextWrapType`, `DesignPackageImpl.getTextWrapTypeObject()`, Constant Field Values

Method Detail

### getAndExpression

    org.eclipse.emf.ecore.EClass getAndExpression()

  Returns the meta object for class '`And Expression`'.

  Returns:
    the meta object for class 'And Expression'.
  See Also:
    `AndExpression`

### getAtomicExpressionContext

    org.eclipse.emf.ecore.EClass getAtomicExpressionContext()

  Returns the meta object for class '`Atomic Expression Context`'.

  Returns:
    the meta object for class 'Atomic Expression Context'.
  See Also:
    `AtomicExpressionContext`

### getAtomicExpressionContext_Optional

    org.eclipse.emf.ecore.EAttribute getAtomicExpressionContext_Optional()

  Returns the meta object for the attribute '`Optional`'.

  Returns:
    the meta object for the attribute 'Optional'.
  See Also:
    `AtomicExpressionContext.isOptional()`, `getAtomicExpressionContext()`

### getAtomicExpressionContext_Variable

    org.eclipse.emf.ecore.EReference getAtomicExpressionContext_Variable()

  Returns the meta object for the containment reference '`Variable`'.

  Returns:
    the meta object for the containment reference 'Variable'.
  See Also:
    `AtomicExpressionContext.getVariable()`, `getAtomicExpressionContext()`

### getAtomicExpressionContext_Arguments

    org.eclipse.emf.ecore.EReference getAtomicExpressionContext_Arguments()

  Returns the meta object for the containment reference '`Arguments`'.

  Returns:
    the meta object for the containment reference 'Arguments'.
  See Also:
    `AtomicExpressionContext.getArguments()`, `getAtomicExpressionContext()`

### getAxisAttributes

    org.eclipse.emf.ecore.EClass getAxisAttributes()

  Returns the meta object for class '`Axis Attributes`'.

  Returns:
    the meta object for class 'Axis Attributes'.
  See Also:
    `AxisAttributes`

### getAxisAttributes_AxisType

    org.eclipse.emf.ecore.EAttribute getAxisAttributes_AxisType()

  Returns the meta object for the attribute '`Axis Type`'.

  Returns:
    the meta object for the attribute 'Axis Type'.
  See Also:
    `AxisAttributes.getAxisType()`, `getAxisAttributes()`

### getAxisAttributes_OnColumnLayout

    org.eclipse.emf.ecore.EAttribute getAxisAttributes_OnColumnLayout()

  Returns the meta object for the attribute '`On Column Layout`'.

  Returns:
    the meta object for the attribute 'On Column Layout'.
  See Also:
    `AxisAttributes.isOnColumnLayout()`, `getAxisAttributes()`

### getAxisAttributes_RelatedColumns

    org.eclipse.emf.ecore.EReference getAxisAttributes_RelatedColumns()

  Returns the meta object for the containment reference '`Related Columns`'.

  Returns:
    the meta object for the containment reference 'Related Columns'.
  See Also:
    `AxisAttributes.getRelatedColumns()`, `getAxisAttributes()`

### getColumnDefinition

    org.eclipse.emf.ecore.EClass getColumnDefinition()

  Returns the meta object for class '`Column Definition`'.

  Returns:
    the meta object for class 'Column Definition'.
  See Also:
    `ColumnDefinition`

### getColumnDefinition_Attributes

    org.eclipse.emf.ecore.EReference getColumnDefinition_Attributes()

  Returns the meta object for the containment reference '`Attributes`'.

  Returns:
    the meta object for the containment reference 'Attributes'.
  See Also:
    `ColumnDefinition.getAttributes()`, `getColumnDefinition()`

### getColumnDefinition_UsageHints

    org.eclipse.emf.ecore.EReference getColumnDefinition_UsageHints()

  Returns the meta object for the containment reference '`Usage Hints`'.

  Returns:
    the meta object for the containment reference 'Usage Hints'.
  See Also:
    `ColumnDefinition.getUsageHints()`, `getColumnDefinition()`

### getColumnDefinition_MultiDimensionAttributes

    org.eclipse.emf.ecore.EReference getColumnDefinition_MultiDimensionAttributes()

  Returns the meta object for the containment reference '`Multi Dimension Attributes`'.

  Returns:
    the meta object for the containment reference 'Multi Dimension Attributes'.
  See Also:
    `ColumnDefinition.getMultiDimensionAttributes()`, `getColumnDefinition()`

### getCompositeFilterExpression

    org.eclipse.emf.ecore.EClass getCompositeFilterExpression()

  Returns the meta object for class '`Composite Filter Expression`'.

  Returns:
    the meta object for class 'Composite Filter Expression'.
  See Also:
    `CompositeFilterExpression`

### getCompositeFilterExpression_Children

    org.eclipse.emf.ecore.EReference getCompositeFilterExpression_Children()

  Returns the meta object for the containment reference list '`Children`'.

  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `CompositeFilterExpression.getChildren()`, `getCompositeFilterExpression()`

### getCustomData

    org.eclipse.emf.ecore.EClass getCustomData()

  Returns the meta object for class '`Custom Data`'.

  Returns:
    the meta object for class 'Custom Data'.
  See Also:
    `CustomData`

### getCustomData_ProviderId

    org.eclipse.emf.ecore.EAttribute getCustomData_ProviderId()

  Returns the meta object for the attribute '`Provider Id`'.

  Returns:
    the meta object for the attribute 'Provider Id'.
  See Also:
    `CustomData.getProviderId()`, `getCustomData()`

### getCustomData_Value

    org.eclipse.emf.ecore.EAttribute getCustomData_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `CustomData.getValue()`, `getCustomData()`

### getCustomData_DisplayValue

    org.eclipse.emf.ecore.EAttribute getCustomData_DisplayValue()

  Returns the meta object for the attribute '`Display Value`'.

  Returns:
    the meta object for the attribute 'Display Value'.
  See Also:
    `CustomData.getDisplayValue()`, `getCustomData()`

### getCustomFilterExpression

    org.eclipse.emf.ecore.EClass getCustomFilterExpression()

  Returns the meta object for class '`Custom Filter Expression`'.

  Returns:
    the meta object for class 'Custom Filter Expression'.
  See Also:
    `CustomFilterExpression`

### getCustomFilterExpression_Type

    org.eclipse.emf.ecore.EReference getCustomFilterExpression_Type()

  Returns the meta object for the containment reference '`Type`'.

  Returns:
    the meta object for the containment reference 'Type'.
  See Also:
    `CustomFilterExpression.getType()`, `getCustomFilterExpression()`

### getCustomFilterExpression_Context

    org.eclipse.emf.ecore.EReference getCustomFilterExpression_Context()

  Returns the meta object for the containment reference '`Context`'.

  Returns:
    the meta object for the containment reference 'Context'.
  See Also:
    `CustomFilterExpression.getContext()`, `getCustomFilterExpression()`

### getDataAccessDesign

    org.eclipse.emf.ecore.EClass getDataAccessDesign()

  Returns the meta object for class '`Data Access Design`'.

  Returns:
    the meta object for class 'Data Access Design'.
  See Also:
    `DataAccessDesign`

### getDataAccessDesign_DataSetDesign

    org.eclipse.emf.ecore.EReference getDataAccessDesign_DataSetDesign()

  Returns the meta object for the containment reference '`Data Set Design`'.

  Returns:
    the meta object for the containment reference 'Data Set Design'.
  See Also:
    `DataAccessDesign.getDataSetDesign()`, `getDataAccessDesign()`

### getDataElementAttributes

    org.eclipse.emf.ecore.EClass getDataElementAttributes()

  Returns the meta object for class '`Data Element Attributes`'.

  Returns:
    the meta object for class 'Data Element Attributes'.
  See Also:
    `DataElementAttributes`

### getDataElementAttributes_Identifier

    org.eclipse.emf.ecore.EReference getDataElementAttributes_Identifier()

  Returns the meta object for the containment reference '`Identifier`'.

  Returns:
    the meta object for the containment reference 'Identifier'.
  See Also:
    `DataElementAttributes.getIdentifier()`, `getDataElementAttributes()`

### getDataElementAttributes_Name

    org.eclipse.emf.ecore.EAttribute getDataElementAttributes_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `DataElementAttributes.getName()`, `getDataElementAttributes()`

### getDataElementAttributes_Position

    org.eclipse.emf.ecore.EAttribute getDataElementAttributes_Position()

  Returns the meta object for the attribute '`Position`'.

  Returns:
    the meta object for the attribute 'Position'.
  See Also:
    `DataElementAttributes.getPosition()`, `getDataElementAttributes()`

### getDataElementAttributes_NativeDataTypeCode

    org.eclipse.emf.ecore.EAttribute getDataElementAttributes_NativeDataTypeCode()

  Returns the meta object for the attribute '`Native Data Type Code`'.

  Returns:
    the meta object for the attribute 'Native Data Type Code'.
  See Also:
    `DataElementAttributes.getNativeDataTypeCode()`, `getDataElementAttributes()`

### getDataElementAttributes_Precision

    org.eclipse.emf.ecore.EAttribute getDataElementAttributes_Precision()

  Returns the meta object for the attribute '`Precision`'.

  Returns:
    the meta object for the attribute 'Precision'.
  See Also:
    `DataElementAttributes.getPrecision()`, `getDataElementAttributes()`

### getDataElementAttributes_Scale

    org.eclipse.emf.ecore.EAttribute getDataElementAttributes_Scale()

  Returns the meta object for the attribute '`Scale`'.

  Returns:
    the meta object for the attribute 'Scale'.
  See Also:
    `DataElementAttributes.getScale()`, `getDataElementAttributes()`

### getDataElementAttributes_Nullability

    org.eclipse.emf.ecore.EAttribute getDataElementAttributes_Nullability()

  Returns the meta object for the attribute '`Nullability`'.

  Returns:
    the meta object for the attribute 'Nullability'.
  See Also:
    `DataElementAttributes.getNullability()`, `getDataElementAttributes()`

### getDataElementAttributes_UiHints

    org.eclipse.emf.ecore.EReference getDataElementAttributes_UiHints()

  Returns the meta object for the containment reference '`Ui Hints`'.

  Returns:
    the meta object for the containment reference 'Ui Hints'.
  See Also:
    `DataElementAttributes.getUiHints()`, `getDataElementAttributes()`

### getDataElementIdentifier

    org.eclipse.emf.ecore.EClass getDataElementIdentifier()

  Returns the meta object for class '`Data Element Identifier`'.

  Returns:
    the meta object for class 'Data Element Identifier'.
  See Also:
    `DataElementIdentifier`

### getDataElementIdentifier_Name

    org.eclipse.emf.ecore.EAttribute getDataElementIdentifier_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `DataElementIdentifier.getName()`, `getDataElementIdentifier()`

### getDataElementIdentifier_Position

    org.eclipse.emf.ecore.EAttribute getDataElementIdentifier_Position()

  Returns the meta object for the attribute '`Position`'.

  Returns:
    the meta object for the attribute 'Position'.
  See Also:
    `DataElementIdentifier.getPosition()`, `getDataElementIdentifier()`

### getDataElementIdentifiers

    org.eclipse.emf.ecore.EClass getDataElementIdentifiers()

  Returns the meta object for class '`Data Element Identifiers`'.

  Returns:
    the meta object for class 'Data Element Identifiers'.
  See Also:
    `DataElementIdentifiers`

### getDataElementIdentifiers_Identifiers

    org.eclipse.emf.ecore.EReference getDataElementIdentifiers_Identifiers()

  Returns the meta object for the containment reference list '`Identifiers`'.

  Returns:
    the meta object for the containment reference list 'Identifiers'.
  See Also:
    `DataElementIdentifiers.getIdentifiers()`, `getDataElementIdentifiers()`

### getDataElementUIHints

    org.eclipse.emf.ecore.EClass getDataElementUIHints()

  Returns the meta object for class '`Data Element UI Hints`'.

  Returns:
    the meta object for class 'Data Element UI Hints'.
  See Also:
    `DataElementUIHints`

### getDataElementUIHints_DisplayName

    org.eclipse.emf.ecore.EAttribute getDataElementUIHints_DisplayName()

  Returns the meta object for the attribute '`Display Name`'.

  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `DataElementUIHints.getDisplayName()`, `getDataElementUIHints()`

### getDataElementUIHints_Description

    org.eclipse.emf.ecore.EAttribute getDataElementUIHints_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `DataElementUIHints.getDescription()`, `getDataElementUIHints()`

### getDataSetDesign

    org.eclipse.emf.ecore.EClass getDataSetDesign()

  Returns the meta object for class '`Data Set Design`'.

  Returns:
    the meta object for class 'Data Set Design'.
  See Also:
    `DataSetDesign`

### getDataSetDesign_Name

    org.eclipse.emf.ecore.EAttribute getDataSetDesign_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `DataSetDesign.getName()`, `getDataSetDesign()`

### getDataSetDesign_OdaExtensionDataSetId

    org.eclipse.emf.ecore.EAttribute getDataSetDesign_OdaExtensionDataSetId()

  Returns the meta object for the attribute '`Oda Extension Data Set Id`'.

  Returns:
    the meta object for the attribute 'Oda Extension Data Set Id'.
  See Also:
    `DataSetDesign.getOdaExtensionDataSetId()`, `getDataSetDesign()`

### getDataSetDesign_DataSourceDesign

    org.eclipse.emf.ecore.EReference getDataSetDesign_DataSourceDesign()

  Returns the meta object for the containment reference '`Data Source Design`'.

  Returns:
    the meta object for the containment reference 'Data Source Design'.
  See Also:
    `DataSetDesign.getDataSourceDesign()`, `getDataSetDesign()`

### getDataSetDesign_Query

    org.eclipse.emf.ecore.EReference getDataSetDesign_Query()

  Returns the meta object for the containment reference '`Query`'.

  Returns:
    the meta object for the containment reference 'Query'.
  See Also:
    `DataSetDesign.getQuery()`, `getDataSetDesign()`

### getDataSetDesign_DisplayName

    org.eclipse.emf.ecore.EAttribute getDataSetDesign_DisplayName()

  Returns the meta object for the attribute '`Display Name`'.

  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `DataSetDesign.getDisplayName()`, `getDataSetDesign()`

### getDataSetDesign_PublicProperties

    org.eclipse.emf.ecore.EReference getDataSetDesign_PublicProperties()

  Returns the meta object for the containment reference '`Public Properties`'.

  Returns:
    the meta object for the containment reference 'Public Properties'.
  See Also:
    `DataSetDesign.getPublicProperties()`, `getDataSetDesign()`

### getDataSetDesign_PrivateProperties

    org.eclipse.emf.ecore.EReference getDataSetDesign_PrivateProperties()

  Returns the meta object for the containment reference '`Private Properties`'.

  Returns:
    the meta object for the containment reference 'Private Properties'.
  See Also:
    `DataSetDesign.getPrivateProperties()`, `getDataSetDesign()`

### getDataSetDesign_ResultSets

    org.eclipse.emf.ecore.EReference getDataSetDesign_ResultSets()

  Returns the meta object for the containment reference '`Result Sets`'.

  Returns:
    the meta object for the containment reference 'Result Sets'.
  See Also:
    `DataSetDesign.getResultSets()`, `getDataSetDesign()`

### getDataSetDesign_PrimaryResultSetName

    org.eclipse.emf.ecore.EAttribute getDataSetDesign_PrimaryResultSetName()

  Returns the meta object for the attribute '`Primary Result Set Name`'.

  Returns:
    the meta object for the attribute 'Primary Result Set Name'.
  See Also:
    `DataSetDesign.getPrimaryResultSetName()`, `getDataSetDesign()`

### getDataSetDesign_Parameters

    org.eclipse.emf.ecore.EReference getDataSetDesign_Parameters()

  Returns the meta object for the containment reference '`Parameters`'.

  Returns:
    the meta object for the containment reference 'Parameters'.
  See Also:
    `DataSetDesign.getParameters()`, `getDataSetDesign()`

### getDataSetParameters

    org.eclipse.emf.ecore.EClass getDataSetParameters()

  Returns the meta object for class '`Data Set Parameters`'.

  Returns:
    the meta object for class 'Data Set Parameters'.
  See Also:
    `DataSetParameters`

### getDataSetParameters_ParameterDefinitions

    org.eclipse.emf.ecore.EReference getDataSetParameters_ParameterDefinitions()

  Returns the meta object for the containment reference list '`Parameter Definitions`'.

  Returns:
    the meta object for the containment reference list 'Parameter Definitions'.
  See Also:
    `DataSetParameters.getParameterDefinitions()`, `getDataSetParameters()`

### getDataSetParameters_DerivedMetaData

    org.eclipse.emf.ecore.EAttribute getDataSetParameters_DerivedMetaData()

  Returns the meta object for the attribute '`Derived Meta Data`'.

  Returns:
    the meta object for the attribute 'Derived Meta Data'.
  See Also:
    `DataSetParameters.isDerivedMetaData()`, `getDataSetParameters()`

### getDataSetQuery

    org.eclipse.emf.ecore.EClass getDataSetQuery()

  Returns the meta object for class '`Data Set Query`'.

  Returns:
    the meta object for class 'Data Set Query'.
  See Also:
    `DataSetQuery`

### getDataSetQuery_QueryText

    org.eclipse.emf.ecore.EAttribute getDataSetQuery_QueryText()

  Returns the meta object for the attribute '`Query Text`'.

  Returns:
    the meta object for the attribute 'Query Text'.
  See Also:
    `DataSetQuery.getQueryText()`, `getDataSetQuery()`

### getDataSourceDesign

    org.eclipse.emf.ecore.EClass getDataSourceDesign()

  Returns the meta object for class '`Data Source Design`'.

  Returns:
    the meta object for class 'Data Source Design'.
  See Also:
    `DataSourceDesign`

### getDataSourceDesign_Name

    org.eclipse.emf.ecore.EAttribute getDataSourceDesign_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `DataSourceDesign.getName()`, `getDataSourceDesign()`

### getDataSourceDesign_OdaExtensionId

    org.eclipse.emf.ecore.EAttribute getDataSourceDesign_OdaExtensionId()

  Returns the meta object for the attribute '`Oda Extension Id`'.

  Returns:
    the meta object for the attribute 'Oda Extension Id'.
  See Also:
    `DataSourceDesign.getOdaExtensionId()`, `getDataSourceDesign()`

### getDataSourceDesign_OdaExtensionDataSourceId

    org.eclipse.emf.ecore.EAttribute getDataSourceDesign_OdaExtensionDataSourceId()

  Returns the meta object for the attribute '`Oda Extension Data Source Id`'.

  Returns:
    the meta object for the attribute 'Oda Extension Data Source Id'.
  See Also:
    `DataSourceDesign.getOdaExtensionDataSourceId()`, `getDataSourceDesign()`

### getDataSourceDesign_DisplayName

    org.eclipse.emf.ecore.EAttribute getDataSourceDesign_DisplayName()

  Returns the meta object for the attribute '`Display Name`'.

  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `DataSourceDesign.getDisplayName()`, `getDataSourceDesign()`

### getDataSourceDesign_PublicProperties

    org.eclipse.emf.ecore.EReference getDataSourceDesign_PublicProperties()

  Returns the meta object for the containment reference '`Public Properties`'.

  Returns:
    the meta object for the containment reference 'Public Properties'.
  See Also:
    `DataSourceDesign.getPublicProperties()`, `getDataSourceDesign()`

### getDataSourceDesign_PrivateProperties

    org.eclipse.emf.ecore.EReference getDataSourceDesign_PrivateProperties()

  Returns the meta object for the containment reference '`Private Properties`'.

  Returns:
    the meta object for the containment reference 'Private Properties'.
  See Also:
    `DataSourceDesign.getPrivateProperties()`, `getDataSourceDesign()`

### getDataSourceDesign_LinkedProfileName

    org.eclipse.emf.ecore.EAttribute getDataSourceDesign_LinkedProfileName()

  Returns the meta object for the attribute '`Linked Profile Name`'.

  Returns:
    the meta object for the attribute 'Linked Profile Name'.
  See Also:
    `DataSourceDesign.getLinkedProfileName()`, `getDataSourceDesign()`

### getDataSourceDesign_LinkedProfileStoreFilePath

    org.eclipse.emf.ecore.EAttribute getDataSourceDesign_LinkedProfileStoreFilePath()

  Returns the meta object for the attribute '`Linked Profile Store File Path`'.

  Returns:
    the meta object for the attribute 'Linked Profile Store File Path'.
  See Also:
    `DataSourceDesign.getLinkedProfileStoreFilePath()`, `getDataSourceDesign()`

### getDataSourceDesign_HostResourceIdentifiers

    org.eclipse.emf.ecore.EReference getDataSourceDesign_HostResourceIdentifiers()

  Returns the meta object for the containment reference '`Host Resource Identifiers`'.

  Returns:
    the meta object for the containment reference 'Host Resource Identifiers'.
  See Also:
    `DataSourceDesign.getHostResourceIdentifiers()`, `getDataSourceDesign()`

### getDataSourceDesign_ResourceFile

    org.eclipse.emf.ecore.EAttribute getDataSourceDesign_ResourceFile()

  Returns the meta object for the attribute '`Resource File`'.

  Returns:
    the meta object for the attribute 'Resource File'.
  See Also:
    `DataSourceDesign.getResourceFile()`, `getDataSourceDesign()`

### getDesignerState

    org.eclipse.emf.ecore.EClass getDesignerState()

  Returns the meta object for class '`Designer State`'.

  Returns:
    the meta object for class 'Designer State'.
  See Also:
    `DesignerState`

### getDesignerState_Version

    org.eclipse.emf.ecore.EAttribute getDesignerState_Version()

  Returns the meta object for the attribute '`Version`'.

  Returns:
    the meta object for the attribute 'Version'.
  See Also:
    `DesignerState.getVersion()`, `getDesignerState()`

### getDesignerState_StateContent

    org.eclipse.emf.ecore.EReference getDesignerState_StateContent()

  Returns the meta object for the containment reference '`State Content`'.

  Returns:
    the meta object for the containment reference 'State Content'.
  See Also:
    `DesignerState.getStateContent()`, `getDesignerState()`

### getDesignerStateContent

    org.eclipse.emf.ecore.EClass getDesignerStateContent()

  Returns the meta object for class '`Designer State Content`'.

  Returns:
    the meta object for class 'Designer State Content'.
  See Also:
    `DesignerStateContent`

### getDesignerStateContent_StateContentAsString

    org.eclipse.emf.ecore.EAttribute getDesignerStateContent_StateContentAsString()

  Returns the meta object for the attribute '`State Content As String`'.

  Returns:
    the meta object for the attribute 'State Content As String'.
  See Also:
    `DesignerStateContent.getStateContentAsString()`, `getDesignerStateContent()`

### getDesignerStateContent_StateContentAsBlob

    org.eclipse.emf.ecore.EAttribute getDesignerStateContent_StateContentAsBlob()

  Returns the meta object for the attribute '`State Content As Blob`'.

  Returns:
    the meta object for the attribute 'State Content As Blob'.
  See Also:
    `DesignerStateContent.getStateContentAsBlob()`, `getDesignerStateContent()`

### getDesignSessionRequest

    org.eclipse.emf.ecore.EClass getDesignSessionRequest()

  Returns the meta object for class '`Session Request`'.

  Returns:
    the meta object for class 'Session Request'.
  See Also:
    `DesignSessionRequest`

### getDesignSessionRequest_DataAccessDesign

    org.eclipse.emf.ecore.EReference getDesignSessionRequest_DataAccessDesign()

  Returns the meta object for the containment reference '`Data Access Design`'.

  Returns:
    the meta object for the containment reference 'Data Access Design'.
  See Also:
    `DesignSessionRequest.getDataAccessDesign()`, `getDesignSessionRequest()`

### getDesignSessionRequest_Editable

    org.eclipse.emf.ecore.EAttribute getDesignSessionRequest_Editable()

  Returns the meta object for the attribute '`Editable`'.

  Returns:
    the meta object for the attribute 'Editable'.
  See Also:
    `DesignSessionRequest.isEditable()`, `getDesignSessionRequest()`

### getDesignSessionRequest_SessionLocale

    org.eclipse.emf.ecore.EReference getDesignSessionRequest_SessionLocale()

  Returns the meta object for the containment reference '`Session Locale`'.

  Returns:
    the meta object for the containment reference 'Session Locale'.
  See Also:
    `DesignSessionRequest.getSessionLocale()`, `getDesignSessionRequest()`

### getDesignSessionRequest_DesignerState

    org.eclipse.emf.ecore.EReference getDesignSessionRequest_DesignerState()

  Returns the meta object for the containment reference '`Designer State`'.

  Returns:
    the meta object for the containment reference 'Designer State'.
  See Also:
    `DesignSessionRequest.getDesignerState()`, `getDesignSessionRequest()`

### getDesignSessionResponse

    org.eclipse.emf.ecore.EClass getDesignSessionResponse()

  Returns the meta object for class '`Session Response`'.

  Returns:
    the meta object for class 'Session Response'.
  See Also:
    `DesignSessionResponse`

### getDesignSessionResponse_SessionStatus

    org.eclipse.emf.ecore.EAttribute getDesignSessionResponse_SessionStatus()

  Returns the meta object for the attribute '`Session Status`'.

  Returns:
    the meta object for the attribute 'Session Status'.
  See Also:
    `DesignSessionResponse.getSessionStatus()`, `getDesignSessionResponse()`

### getDesignSessionResponse_DataAccessDesign

    org.eclipse.emf.ecore.EReference getDesignSessionResponse_DataAccessDesign()

  Returns the meta object for the containment reference '`Data Access Design`'.

  Returns:
    the meta object for the containment reference 'Data Access Design'.
  See Also:
    `DesignSessionResponse.getDataAccessDesign()`, `getDesignSessionResponse()`

### getDesignSessionResponse_DesignerState

    org.eclipse.emf.ecore.EReference getDesignSessionResponse_DesignerState()

  Returns the meta object for the containment reference '`Designer State`'.

  Returns:
    the meta object for the containment reference 'Designer State'.
  See Also:
    `DesignSessionResponse.getDesignerState()`, `getDesignSessionResponse()`

### getDocumentRoot

    org.eclipse.emf.ecore.EClass getDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Returns the meta object for the map '`XMLNS Prefix Map`'.

  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Returns the meta object for the map '`XSI Schema Location`'.

  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `getDocumentRoot()`

### getDocumentRoot_OdaDesignSession

    org.eclipse.emf.ecore.EReference getDocumentRoot_OdaDesignSession()

  Returns the meta object for the containment reference '`Oda Design Session`'.

  Returns:
    the meta object for the containment reference 'Oda Design Session'.
  See Also:
    `DocumentRoot.getOdaDesignSession()`, `getDocumentRoot()`

### getDynamicFilterExpression

    org.eclipse.emf.ecore.EClass getDynamicFilterExpression()

  Returns the meta object for class '`Dynamic Filter Expression`'.

  Returns:
    the meta object for class 'Dynamic Filter Expression'.
  See Also:
    `DynamicFilterExpression`

### getDynamicFilterExpression_Context

    org.eclipse.emf.ecore.EReference getDynamicFilterExpression_Context()

  Returns the meta object for the containment reference '`Context`'.

  Returns:
    the meta object for the containment reference 'Context'.
  See Also:
    `DynamicFilterExpression.getContext()`, `getDynamicFilterExpression()`

### getDynamicFilterExpression_DefaultType

    org.eclipse.emf.ecore.EReference getDynamicFilterExpression_DefaultType()

  Returns the meta object for the containment reference '`Default Type`'.

  Returns:
    the meta object for the containment reference 'Default Type'.
  See Also:
    `DynamicFilterExpression.getDefaultType()`, `getDynamicFilterExpression()`

### getDynamicValuesQuery

    org.eclipse.emf.ecore.EClass getDynamicValuesQuery()

  Returns the meta object for class '`Dynamic Values Query`'.

  Returns:
    the meta object for class 'Dynamic Values Query'.
  See Also:
    `DynamicValuesQuery`

### getDynamicValuesQuery_DataSetDesign

    org.eclipse.emf.ecore.EReference getDynamicValuesQuery_DataSetDesign()

  Returns the meta object for the containment reference '`Data Set Design`'.

  Returns:
    the meta object for the containment reference 'Data Set Design'.
  See Also:
    `DynamicValuesQuery.getDataSetDesign()`, `getDynamicValuesQuery()`

### getDynamicValuesQuery_Enabled

    org.eclipse.emf.ecore.EAttribute getDynamicValuesQuery_Enabled()

  Returns the meta object for the attribute '`Enabled`'.

  Returns:
    the meta object for the attribute 'Enabled'.
  See Also:
    `DynamicValuesQuery.isEnabled()`, `getDynamicValuesQuery()`

### getDynamicValuesQuery_ValueColumnIdentifier

    org.eclipse.emf.ecore.EReference getDynamicValuesQuery_ValueColumnIdentifier()

  Returns the meta object for the containment reference '`Value Column Identifier`'.

  Returns:
    the meta object for the containment reference 'Value Column Identifier'.
  See Also:
    `DynamicValuesQuery.getValueColumnIdentifier()`, `getDynamicValuesQuery()`

### getDynamicValuesQuery_ValueColumn

    org.eclipse.emf.ecore.EAttribute getDynamicValuesQuery_ValueColumn()

  Returns the meta object for the attribute '`Value Column`'.

  Returns:
    the meta object for the attribute 'Value Column'.
  See Also:
    `DynamicValuesQuery.getValueColumn()`, `getDynamicValuesQuery()`

### getDynamicValuesQuery_DisplayNameColumn

    org.eclipse.emf.ecore.EAttribute getDynamicValuesQuery_DisplayNameColumn()

  Returns the meta object for the attribute '`Display Name Column`'.

  Returns:
    the meta object for the attribute 'Display Name Column'.
  See Also:
    `DynamicValuesQuery.getDisplayNameColumn()`, `getDynamicValuesQuery()`

### getExpressionArguments

    org.eclipse.emf.ecore.EClass getExpressionArguments()

  Returns the meta object for class '`Expression Arguments`'.

  Returns:
    the meta object for class 'Expression Arguments'.
  See Also:
    `ExpressionArguments`

### getExpressionArguments_ExpressionParameters

    org.eclipse.emf.ecore.EReference getExpressionArguments_ExpressionParameters()

  Returns the meta object for the containment reference '`Expression Parameters`'.

  Returns:
    the meta object for the containment reference 'Expression Parameters'.
  See Also:
    `ExpressionArguments.getExpressionParameters()`, `getExpressionArguments()`

### getExpressionParameterDefinition

    org.eclipse.emf.ecore.EClass getExpressionParameterDefinition()

  Returns the meta object for class '`Expression Parameter Definition`'.

  Returns:
    the meta object for class 'Expression Parameter Definition'.
  See Also:
    `ExpressionParameterDefinition`

### getExpressionParameterDefinition_StaticValues

    org.eclipse.emf.ecore.EReference getExpressionParameterDefinition_StaticValues()

  Returns the meta object for the containment reference '`Static Values`'.

  Returns:
    the meta object for the containment reference 'Static Values'.
  See Also:
    `ExpressionParameterDefinition.getStaticValues()`, `getExpressionParameterDefinition()`

### getExpressionParameterDefinition_DynamicInputParameter

    org.eclipse.emf.ecore.EReference getExpressionParameterDefinition_DynamicInputParameter()

  Returns the meta object for the containment reference '`Dynamic Input Parameter`'.

  Returns:
    the meta object for the containment reference 'Dynamic Input Parameter'.
  See Also:
    `ExpressionParameterDefinition.getDynamicInputParameter()`, `getExpressionParameterDefinition()`

### getExpressionParameters

    org.eclipse.emf.ecore.EClass getExpressionParameters()

  Returns the meta object for class '`Expression Parameters`'.

  Returns:
    the meta object for class 'Expression Parameters'.
  See Also:
    `ExpressionParameters`

### getExpressionParameters_ParameterDefinitions

    org.eclipse.emf.ecore.EReference getExpressionParameters_ParameterDefinitions()

  Returns the meta object for the containment reference list '`Parameter Definitions`'.

  Returns:
    the meta object for the containment reference list 'Parameter Definitions'.
  See Also:
    `ExpressionParameters.getParameterDefinitions()`, `getExpressionParameters()`

### getExpressionVariable

    org.eclipse.emf.ecore.EClass getExpressionVariable()

  Returns the meta object for class '`Expression Variable`'.

  Returns:
    the meta object for class 'Expression Variable'.
  See Also:
    `ExpressionVariable`

### getExpressionVariable_Type

    org.eclipse.emf.ecore.EAttribute getExpressionVariable_Type()

  Returns the meta object for the attribute '`Type`'.

  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `ExpressionVariable.getType()`, `getExpressionVariable()`

### getExpressionVariable_Identifier

    org.eclipse.emf.ecore.EAttribute getExpressionVariable_Identifier()

  Returns the meta object for the attribute '`Identifier`'.

  Returns:
    the meta object for the attribute 'Identifier'.
  See Also:
    `ExpressionVariable.getIdentifier()`, `getExpressionVariable()`

### getExpressionVariable_NativeDataTypeCode

    org.eclipse.emf.ecore.EAttribute getExpressionVariable_NativeDataTypeCode()

  Returns the meta object for the attribute '`Native Data Type Code`'.

  Returns:
    the meta object for the attribute 'Native Data Type Code'.
  See Also:
    `ExpressionVariable.getNativeDataTypeCode()`, `getExpressionVariable()`

### getFilterExpression

    org.eclipse.emf.ecore.EClass getFilterExpression()

  Returns the meta object for class '`Filter Expression`'.

  Returns:
    the meta object for class 'Filter Expression'.
  See Also:
    `FilterExpression`

### getFilterExpression_Negatable

    org.eclipse.emf.ecore.EAttribute getFilterExpression_Negatable()

  Returns the meta object for the attribute '`Negatable`'.

  Returns:
    the meta object for the attribute 'Negatable'.
  See Also:
    `FilterExpression.isNegatable()`, `getFilterExpression()`

### getFilterExpressionType

    org.eclipse.emf.ecore.EClass getFilterExpressionType()

  Returns the meta object for class '`Filter Expression Type`'.

  Returns:
    the meta object for class 'Filter Expression Type'.
  See Also:
    `FilterExpressionType`

### getFilterExpressionType_DeclaringExtensionId

    org.eclipse.emf.ecore.EAttribute getFilterExpressionType_DeclaringExtensionId()

  Returns the meta object for the attribute '`Declaring Extension Id`'.

  Returns:
    the meta object for the attribute 'Declaring Extension Id'.
  See Also:
    `FilterExpressionType.getDeclaringExtensionId()`, `getFilterExpressionType()`

### getFilterExpressionType_Id

    org.eclipse.emf.ecore.EAttribute getFilterExpressionType_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `FilterExpressionType.getId()`, `getFilterExpressionType()`

### getInputElementAttributes

    org.eclipse.emf.ecore.EClass getInputElementAttributes()

  Returns the meta object for class '`Input Element Attributes`'.

  Returns:
    the meta object for class 'Input Element Attributes'.
  See Also:
    `InputElementAttributes`

### getInputElementAttributes_DefaultScalarValue

    org.eclipse.emf.ecore.EAttribute getInputElementAttributes_DefaultScalarValue()

  Returns the meta object for the attribute '`Default Scalar Value`'.

  Returns:
    the meta object for the attribute 'Default Scalar Value'.
  See Also:
    `InputElementAttributes.getDefaultScalarValue()`, `getInputElementAttributes()`

### getInputElementAttributes_DefaultValues

    org.eclipse.emf.ecore.EReference getInputElementAttributes_DefaultValues()

  Returns the meta object for the containment reference '`Default Values`'.

  Returns:
    the meta object for the containment reference 'Default Values'.
  See Also:
    `InputElementAttributes.getDefaultValues()`, `getInputElementAttributes()`

### getInputElementAttributes_Editable

    org.eclipse.emf.ecore.EAttribute getInputElementAttributes_Editable()

  Returns the meta object for the attribute '`Editable`'.

  Returns:
    the meta object for the attribute 'Editable'.
  See Also:
    `InputElementAttributes.isEditable()`, `getInputElementAttributes()`

### getInputElementAttributes_Optional

    org.eclipse.emf.ecore.EAttribute getInputElementAttributes_Optional()

  Returns the meta object for the attribute '`Optional`'.

  Returns:
    the meta object for the attribute 'Optional'.
  See Also:
    `InputElementAttributes.isOptional()`, `getInputElementAttributes()`

### getInputElementAttributes_MasksValue

    org.eclipse.emf.ecore.EAttribute getInputElementAttributes_MasksValue()

  Returns the meta object for the attribute '`Masks Value`'.

  Returns:
    the meta object for the attribute 'Masks Value'.
  See Also:
    `InputElementAttributes.isMasksValue()`, `getInputElementAttributes()`

### getInputElementAttributes_StaticValueChoices

    org.eclipse.emf.ecore.EReference getInputElementAttributes_StaticValueChoices()

  Returns the meta object for the containment reference '`Static Value Choices`'.

  Returns:
    the meta object for the containment reference 'Static Value Choices'.
  See Also:
    `InputElementAttributes.getStaticValueChoices()`, `getInputElementAttributes()`

### getInputElementAttributes_DynamicValueChoices

    org.eclipse.emf.ecore.EReference getInputElementAttributes_DynamicValueChoices()

  Returns the meta object for the containment reference '`Dynamic Value Choices`'.

  Returns:
    the meta object for the containment reference 'Dynamic Value Choices'.
  See Also:
    `InputElementAttributes.getDynamicValueChoices()`, `getInputElementAttributes()`

### getInputElementAttributes_UiHints

    org.eclipse.emf.ecore.EReference getInputElementAttributes_UiHints()

  Returns the meta object for the containment reference '`Ui Hints`'.

  Returns:
    the meta object for the containment reference 'Ui Hints'.
  See Also:
    `InputElementAttributes.getUiHints()`, `getInputElementAttributes()`

### getInputElementUIHints

    org.eclipse.emf.ecore.EClass getInputElementUIHints()

  Returns the meta object for class '`Input Element UI Hints`'.

  Returns:
    the meta object for class 'Input Element UI Hints'.
  See Also:
    `InputElementUIHints`

### getInputElementUIHints_PromptStyle

    org.eclipse.emf.ecore.EAttribute getInputElementUIHints_PromptStyle()

  Returns the meta object for the attribute '`Prompt Style`'.

  Returns:
    the meta object for the attribute 'Prompt Style'.
  See Also:
    `InputElementUIHints.getPromptStyle()`, `getInputElementUIHints()`

### getInputElementUIHints_AutoSuggestThreshold

    org.eclipse.emf.ecore.EAttribute getInputElementUIHints_AutoSuggestThreshold()

  Returns the meta object for the attribute '`Auto Suggest Threshold`'.

  Returns:
    the meta object for the attribute 'Auto Suggest Threshold'.
  See Also:
    `InputElementUIHints.getAutoSuggestThreshold()`, `getInputElementUIHints()`

### getInputParameterAttributes

    org.eclipse.emf.ecore.EClass getInputParameterAttributes()

  Returns the meta object for class '`Input Parameter Attributes`'.

  Returns:
    the meta object for class 'Input Parameter Attributes'.
  See Also:
    `InputParameterAttributes`

### getInputParameterAttributes_ElementAttributes

    org.eclipse.emf.ecore.EReference getInputParameterAttributes_ElementAttributes()

  Returns the meta object for the containment reference '`Element Attributes`'.

  Returns:
    the meta object for the containment reference 'Element Attributes'.
  See Also:
    `InputParameterAttributes.getElementAttributes()`, `getInputParameterAttributes()`

### getInputParameterAttributes_UiHints

    org.eclipse.emf.ecore.EReference getInputParameterAttributes_UiHints()

  Returns the meta object for the containment reference '`Ui Hints`'.

  Returns:
    the meta object for the containment reference 'Ui Hints'.
  See Also:
    `InputParameterAttributes.getUiHints()`, `getInputParameterAttributes()`

### getInputParameterUIHints

    org.eclipse.emf.ecore.EClass getInputParameterUIHints()

  Returns the meta object for class '`Input Parameter UI Hints`'.

  Returns:
    the meta object for class 'Input Parameter UI Hints'.
  See Also:
    `InputParameterUIHints`

### getInputParameterUIHints_GroupPromptDisplayName

    org.eclipse.emf.ecore.EAttribute getInputParameterUIHints_GroupPromptDisplayName()

  Returns the meta object for the attribute '`Group Prompt Display Name`'.

  Returns:
    the meta object for the attribute 'Group Prompt Display Name'.
  See Also:
    `InputParameterUIHints.getGroupPromptDisplayName()`, `getInputParameterUIHints()`

### getLocale

    org.eclipse.emf.ecore.EClass getLocale()

  Returns the meta object for class '`Locale`'.

  Returns:
    the meta object for class 'Locale'.
  See Also:
    `Locale`

### getLocale_Language

    org.eclipse.emf.ecore.EAttribute getLocale_Language()

  Returns the meta object for the attribute '`Language`'.

  Returns:
    the meta object for the attribute 'Language'.
  See Also:
    `Locale.getLanguage()`, `getLocale()`

### getLocale_Country

    org.eclipse.emf.ecore.EAttribute getLocale_Country()

  Returns the meta object for the attribute '`Country`'.

  Returns:
    the meta object for the attribute 'Country'.
  See Also:
    `Locale.getCountry()`, `getLocale()`

### getLocale_Variant

    org.eclipse.emf.ecore.EAttribute getLocale_Variant()

  Returns the meta object for the attribute '`Variant`'.

  Returns:
    the meta object for the attribute 'Variant'.
  See Also:
    `Locale.getVariant()`, `getLocale()`

### getNameValuePair

    org.eclipse.emf.ecore.EClass getNameValuePair()

  Returns the meta object for class '`Name Value Pair`'.

  Returns:
    the meta object for class 'Name Value Pair'.
  See Also:
    `NameValuePair`

### getNameValuePair_Name

    org.eclipse.emf.ecore.EAttribute getNameValuePair_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `NameValuePair.getName()`, `getNameValuePair()`

### getNameValuePair_Value

    org.eclipse.emf.ecore.EAttribute getNameValuePair_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `NameValuePair.getValue()`, `getNameValuePair()`

### getNotExpression

    org.eclipse.emf.ecore.EClass getNotExpression()

  Returns the meta object for class '`Not Expression`'.

  Returns:
    the meta object for class 'Not Expression'.
  See Also:
    `NotExpression`

### getNotExpression_NegatingExpression

    org.eclipse.emf.ecore.EReference getNotExpression_NegatingExpression()

  Returns the meta object for the containment reference '`Negating Expression`'.

  Returns:
    the meta object for the containment reference 'Negating Expression'.
  See Also:
    `NotExpression.getNegatingExpression()`, `getNotExpression()`

### getOdaDesignSession

    org.eclipse.emf.ecore.EClass getOdaDesignSession()

  Returns the meta object for class '`Oda Design Session`'.

  Returns:
    the meta object for class 'Oda Design Session'.
  See Also:
    `OdaDesignSession`

### getOdaDesignSession_Request

    org.eclipse.emf.ecore.EReference getOdaDesignSession_Request()

  Returns the meta object for the containment reference '`Request`'.

  Returns:
    the meta object for the containment reference 'Request'.
  See Also:
    `OdaDesignSession.getRequest()`, `getOdaDesignSession()`

### getOdaDesignSession_Response

    org.eclipse.emf.ecore.EReference getOdaDesignSession_Response()

  Returns the meta object for the containment reference '`Response`'.

  Returns:
    the meta object for the containment reference 'Response'.
  See Also:
    `OdaDesignSession.getResponse()`, `getOdaDesignSession()`

### getOrExpression

    org.eclipse.emf.ecore.EClass getOrExpression()

  Returns the meta object for class '`Or Expression`'.

  Returns:
    the meta object for class 'Or Expression'.
  See Also:
    `OrExpression`

### getOutputElementAttributes

    org.eclipse.emf.ecore.EClass getOutputElementAttributes()

  Returns the meta object for class '`Output Element Attributes`'.

  Returns:
    the meta object for class 'Output Element Attributes'.
  See Also:
    `OutputElementAttributes`

### getOutputElementAttributes_Label

    org.eclipse.emf.ecore.EAttribute getOutputElementAttributes_Label()

  Returns the meta object for the attribute '`Label`'.

  Returns:
    the meta object for the attribute 'Label'.
  See Also:
    `OutputElementAttributes.getLabel()`, `getOutputElementAttributes()`

### getOutputElementAttributes_FormattingHints

    org.eclipse.emf.ecore.EReference getOutputElementAttributes_FormattingHints()

  Returns the meta object for the containment reference '`Formatting Hints`'.

  Returns:
    the meta object for the containment reference 'Formatting Hints'.
  See Also:
    `OutputElementAttributes.getFormattingHints()`, `getOutputElementAttributes()`

### getOutputElementAttributes_HelpText

    org.eclipse.emf.ecore.EAttribute getOutputElementAttributes_HelpText()

  Returns the meta object for the attribute '`Help Text`'.

  Returns:
    the meta object for the attribute 'Help Text'.
  See Also:
    `OutputElementAttributes.getHelpText()`, `getOutputElementAttributes()`

### getParameterDefinition

    org.eclipse.emf.ecore.EClass getParameterDefinition()

  Returns the meta object for class '`Parameter Definition`'.

  Returns:
    the meta object for class 'Parameter Definition'.
  See Also:
    `ParameterDefinition`

### getParameterDefinition_InOutMode

    org.eclipse.emf.ecore.EAttribute getParameterDefinition_InOutMode()

  Returns the meta object for the attribute '`In Out Mode`'.

  Returns:
    the meta object for the attribute 'In Out Mode'.
  See Also:
    `ParameterDefinition.getInOutMode()`, `getParameterDefinition()`

### getParameterDefinition_Attributes

    org.eclipse.emf.ecore.EReference getParameterDefinition_Attributes()

  Returns the meta object for the containment reference '`Attributes`'.

  Returns:
    the meta object for the containment reference 'Attributes'.
  See Also:
    `ParameterDefinition.getAttributes()`, `getParameterDefinition()`

### getParameterDefinition_InputAttributes

    org.eclipse.emf.ecore.EReference getParameterDefinition_InputAttributes()

  Returns the meta object for the containment reference '`Input Attributes`'.

  Returns:
    the meta object for the containment reference 'Input Attributes'.
  See Also:
    `ParameterDefinition.getInputAttributes()`, `getParameterDefinition()`

### getParameterDefinition_OutputUsageHints

    org.eclipse.emf.ecore.EReference getParameterDefinition_OutputUsageHints()

  Returns the meta object for the containment reference '`Output Usage Hints`'.

  Returns:
    the meta object for the containment reference 'Output Usage Hints'.
  See Also:
    `ParameterDefinition.getOutputUsageHints()`, `getParameterDefinition()`

### getParameterDefinition_Fields

    org.eclipse.emf.ecore.EReference getParameterDefinition_Fields()

  Returns the meta object for the containment reference '`Fields`'.

  Returns:
    the meta object for the containment reference 'Fields'.
  See Also:
    `ParameterDefinition.getFields()`, `getParameterDefinition()`

### getParameterFieldDefinition

    org.eclipse.emf.ecore.EClass getParameterFieldDefinition()

  Returns the meta object for class '`Parameter Field Definition`'.

  Returns:
    the meta object for class 'Parameter Field Definition'.
  See Also:
    `ParameterFieldDefinition`

### getParameterFieldDefinition_Attributes

    org.eclipse.emf.ecore.EReference getParameterFieldDefinition_Attributes()

  Returns the meta object for the containment reference '`Attributes`'.

  Returns:
    the meta object for the containment reference 'Attributes'.
  See Also:
    `ParameterFieldDefinition.getAttributes()`, `getParameterFieldDefinition()`

### getParameterFieldDefinition_InputAttributes

    org.eclipse.emf.ecore.EReference getParameterFieldDefinition_InputAttributes()

  Returns the meta object for the containment reference '`Input Attributes`'.

  Returns:
    the meta object for the containment reference 'Input Attributes'.
  See Also:
    `ParameterFieldDefinition.getInputAttributes()`, `getParameterFieldDefinition()`

### getParameterFieldDefinition_OutputUsageHints

    org.eclipse.emf.ecore.EReference getParameterFieldDefinition_OutputUsageHints()

  Returns the meta object for the containment reference '`Output Usage Hints`'.

  Returns:
    the meta object for the containment reference 'Output Usage Hints'.
  See Also:
    `ParameterFieldDefinition.getOutputUsageHints()`, `getParameterFieldDefinition()`

### getParameterFields

    org.eclipse.emf.ecore.EClass getParameterFields()

  Returns the meta object for class '`Parameter Fields`'.

  Returns:
    the meta object for class 'Parameter Fields'.
  See Also:
    `ParameterFields`

### getParameterFields_FieldCollection

    org.eclipse.emf.ecore.EReference getParameterFields_FieldCollection()

  Returns the meta object for the containment reference list '`Field Collection`'.

  Returns:
    the meta object for the containment reference list 'Field Collection'.
  See Also:
    `ParameterFields.getFieldCollection()`, `getParameterFields()`

### getProperties

    org.eclipse.emf.ecore.EClass getProperties()

  Returns the meta object for class '`Properties`'.

  Returns:
    the meta object for class 'Properties'.
  See Also:
    `Properties`

### getProperties_Properties

    org.eclipse.emf.ecore.EReference getProperties_Properties()

  Returns the meta object for the containment reference list '`Properties`'.

  Returns:
    the meta object for the containment reference list 'Properties'.
  See Also:
    `Properties.getProperties()`, `getProperties()`

### getProperty

    org.eclipse.emf.ecore.EClass getProperty()

  Returns the meta object for class '`Property`'.

  Returns:
    the meta object for class 'Property'.
  See Also:
    `Property`

### getProperty_NameValue

    org.eclipse.emf.ecore.EReference getProperty_NameValue()

  Returns the meta object for the containment reference '`Name Value`'.

  Returns:
    the meta object for the containment reference 'Name Value'.
  See Also:
    `Property.getNameValue()`, `getProperty()`

### getProperty_DesignAttributes

    org.eclipse.emf.ecore.EReference getProperty_DesignAttributes()

  Returns the meta object for the containment reference '`Design Attributes`'.

  Returns:
    the meta object for the containment reference 'Design Attributes'.
  See Also:
    `Property.getDesignAttributes()`, `getProperty()`

### getPropertyAttributes

    org.eclipse.emf.ecore.EClass getPropertyAttributes()

  Returns the meta object for class '`Property Attributes`'.

  Returns:
    the meta object for class 'Property Attributes'.
  See Also:
    `PropertyAttributes`

### getPropertyAttributes_DisplayName

    org.eclipse.emf.ecore.EAttribute getPropertyAttributes_DisplayName()

  Returns the meta object for the attribute '`Display Name`'.

  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `PropertyAttributes.getDisplayName()`, `getPropertyAttributes()`

### getPropertyAttributes_ElementAttributes

    org.eclipse.emf.ecore.EReference getPropertyAttributes_ElementAttributes()

  Returns the meta object for the containment reference '`Element Attributes`'.

  Returns:
    the meta object for the containment reference 'Element Attributes'.
  See Also:
    `PropertyAttributes.getElementAttributes()`, `getPropertyAttributes()`

### getPropertyAttributes_DerivedMetaData

    org.eclipse.emf.ecore.EAttribute getPropertyAttributes_DerivedMetaData()

  Returns the meta object for the attribute '`Derived Meta Data`'.

  Returns:
    the meta object for the attribute 'Derived Meta Data'.
  See Also:
    `PropertyAttributes.isDerivedMetaData()`, `getPropertyAttributes()`

### getResourceIdentifiers

    org.eclipse.emf.ecore.EClass getResourceIdentifiers()

  Returns the meta object for class '`Resource Identifiers`'.

  Returns:
    the meta object for class 'Resource Identifiers'.
  See Also:
    `ResourceIdentifiers`

### getResourceIdentifiers_ApplResourceBaseURIString

    org.eclipse.emf.ecore.EAttribute getResourceIdentifiers_ApplResourceBaseURIString()

  Returns the meta object for the attribute '`Appl Resource Base URI String`'.

  Returns:
    the meta object for the attribute 'Appl Resource Base URI String'.
  See Also:
    `ResourceIdentifiers.getApplResourceBaseURIString()`, `getResourceIdentifiers()`

### getResourceIdentifiers_DesignResourceBaseURIString

    org.eclipse.emf.ecore.EAttribute getResourceIdentifiers_DesignResourceBaseURIString()

  Returns the meta object for the attribute '`Design Resource Base URI String`'.

  Returns:
    the meta object for the attribute 'Design Resource Base URI String'.
  See Also:
    `ResourceIdentifiers.getDesignResourceBaseURIString()`, `getResourceIdentifiers()`

### getResultSetColumns

    org.eclipse.emf.ecore.EClass getResultSetColumns()

  Returns the meta object for class '`Result Set Columns`'.

  Returns:
    the meta object for class 'Result Set Columns'.
  See Also:
    `ResultSetColumns`

### getResultSetColumns_ResultColumnDefinitions

    org.eclipse.emf.ecore.EReference getResultSetColumns_ResultColumnDefinitions()

  Returns the meta object for the containment reference list '`Result Column Definitions`'.

  Returns:
    the meta object for the containment reference list 'Result Column Definitions'.
  See Also:
    `ResultSetColumns.getResultColumnDefinitions()`, `getResultSetColumns()`

### getResultSetCriteria

    org.eclipse.emf.ecore.EClass getResultSetCriteria()

  Returns the meta object for class '`Result Set Criteria`'.

  Returns:
    the meta object for class 'Result Set Criteria'.
  See Also:
    `ResultSetCriteria`

### getResultSetCriteria_FilterSpecification

    org.eclipse.emf.ecore.EReference getResultSetCriteria_FilterSpecification()

  Returns the meta object for the containment reference '`Filter Specification`'.

  Returns:
    the meta object for the containment reference 'Filter Specification'.
  See Also:
    `ResultSetCriteria.getFilterSpecification()`, `getResultSetCriteria()`

### getResultSetCriteria_RowOrdering

    org.eclipse.emf.ecore.EReference getResultSetCriteria_RowOrdering()

  Returns the meta object for the containment reference '`Row Ordering`'.

  Returns:
    the meta object for the containment reference 'Row Ordering'.
  See Also:
    `ResultSetCriteria.getRowOrdering()`, `getResultSetCriteria()`

### getResultSetDefinition

    org.eclipse.emf.ecore.EClass getResultSetDefinition()

  Returns the meta object for class '`Result Set Definition`'.

  Returns:
    the meta object for class 'Result Set Definition'.
  See Also:
    `ResultSetDefinition`

### getResultSetDefinition_Name

    org.eclipse.emf.ecore.EAttribute getResultSetDefinition_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `ResultSetDefinition.getName()`, `getResultSetDefinition()`

### getResultSetDefinition_ResultSetColumns

    org.eclipse.emf.ecore.EReference getResultSetDefinition_ResultSetColumns()

  Returns the meta object for the containment reference '`Result Set Columns`'.

  Returns:
    the meta object for the containment reference 'Result Set Columns'.
  See Also:
    `ResultSetDefinition.getResultSetColumns()`, `getResultSetDefinition()`

### getResultSetDefinition_Criteria

    org.eclipse.emf.ecore.EReference getResultSetDefinition_Criteria()

  Returns the meta object for the containment reference '`Criteria`'.

  Returns:
    the meta object for the containment reference 'Criteria'.
  See Also:
    `ResultSetDefinition.getCriteria()`, `getResultSetDefinition()`

### getResultSets

    org.eclipse.emf.ecore.EClass getResultSets()

  Returns the meta object for class '`Result Sets`'.

  Returns:
    the meta object for class 'Result Sets'.
  See Also:
    `ResultSets`

### getResultSets_ResultSetDefinitions

    org.eclipse.emf.ecore.EReference getResultSets_ResultSetDefinitions()

  Returns the meta object for the containment reference list '`Result Set Definitions`'.

  Returns:
    the meta object for the containment reference list 'Result Set Definitions'.
  See Also:
    `ResultSets.getResultSetDefinitions()`, `getResultSets()`

### getResultSets_DerivedMetaData

    org.eclipse.emf.ecore.EAttribute getResultSets_DerivedMetaData()

  Returns the meta object for the attribute '`Derived Meta Data`'.

  Returns:
    the meta object for the attribute 'Derived Meta Data'.
  See Also:
    `ResultSets.isDerivedMetaData()`, `getResultSets()`

### getResultSubset

    org.eclipse.emf.ecore.EClass getResultSubset()

  Returns the meta object for class '`Result Subset`'.

  Returns:
    the meta object for class 'Result Subset'.
  See Also:
    `ResultSubset`

### getResultSubset_DataSetDesign

    org.eclipse.emf.ecore.EReference getResultSubset_DataSetDesign()

  Returns the meta object for the containment reference '`Data Set Design`'.

  Returns:
    the meta object for the containment reference 'Data Set Design'.
  See Also:
    `ResultSubset.getDataSetDesign()`, `getResultSubset()`

### getResultSubset_ResultSetName

    org.eclipse.emf.ecore.EAttribute getResultSubset_ResultSetName()

  Returns the meta object for the attribute '`Result Set Name`'.

  Returns:
    the meta object for the attribute 'Result Set Name'.
  See Also:
    `ResultSubset.getResultSetName()`, `getResultSubset()`

### getResultSubset_ColumnIdentifiers

    org.eclipse.emf.ecore.EReference getResultSubset_ColumnIdentifiers()

  Returns the meta object for the containment reference '`Column Identifiers`'.

  Returns:
    the meta object for the containment reference 'Column Identifiers'.
  See Also:
    `ResultSubset.getColumnIdentifiers()`, `getResultSubset()`

### getScalarValueChoices

    org.eclipse.emf.ecore.EClass getScalarValueChoices()

  Returns the meta object for class '`Scalar Value Choices`'.

  Returns:
    the meta object for class 'Scalar Value Choices'.
  See Also:
    `ScalarValueChoices`

### getScalarValueChoices_ScalarValues

    org.eclipse.emf.ecore.EReference getScalarValueChoices_ScalarValues()

  Returns the meta object for the containment reference list '`Scalar Values`'.

  Returns:
    the meta object for the containment reference list 'Scalar Values'.
  See Also:
    `ScalarValueChoices.getScalarValues()`, `getScalarValueChoices()`

### getScalarValueDefinition

    org.eclipse.emf.ecore.EClass getScalarValueDefinition()

  Returns the meta object for class '`Scalar Value Definition`'.

  Returns:
    the meta object for class 'Scalar Value Definition'.
  See Also:
    `ScalarValueDefinition`

### getScalarValueDefinition_Value

    org.eclipse.emf.ecore.EAttribute getScalarValueDefinition_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ScalarValueDefinition.getValue()`, `getScalarValueDefinition()`

### getScalarValueDefinition_DisplayName

    org.eclipse.emf.ecore.EAttribute getScalarValueDefinition_DisplayName()

  Returns the meta object for the attribute '`Display Name`'.

  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `ScalarValueDefinition.getDisplayName()`, `getScalarValueDefinition()`

### getSortKey

    org.eclipse.emf.ecore.EClass getSortKey()

  Returns the meta object for class '`Sort Key`'.

  Returns:
    the meta object for class 'Sort Key'.
  See Also:
    `SortKey`

### getSortKey_ColumnIdentifier

    org.eclipse.emf.ecore.EReference getSortKey_ColumnIdentifier()

  Returns the meta object for the containment reference '`Column Identifier`'.

  Returns:
    the meta object for the containment reference 'Column Identifier'.
  See Also:
    `SortKey.getColumnIdentifier()`, `getSortKey()`

### getSortKey_ColumnName

    org.eclipse.emf.ecore.EAttribute getSortKey_ColumnName()

  Returns the meta object for the attribute '`Column Name`'.

  Returns:
    the meta object for the attribute 'Column Name'.
  See Also:
    `SortKey.getColumnName()`, `getSortKey()`

### getSortKey_ColumnPosition

    org.eclipse.emf.ecore.EAttribute getSortKey_ColumnPosition()

  Returns the meta object for the attribute '`Column Position`'.

  Returns:
    the meta object for the attribute 'Column Position'.
  See Also:
    `SortKey.getColumnPosition()`, `getSortKey()`

### getSortKey_SortDirection

    org.eclipse.emf.ecore.EAttribute getSortKey_SortDirection()

  Returns the meta object for the attribute '`Sort Direction`'.

  Returns:
    the meta object for the attribute 'Sort Direction'.
  See Also:
    `SortKey.getSortDirection()`, `getSortKey()`

### getSortKey_NullValueOrdering

    org.eclipse.emf.ecore.EAttribute getSortKey_NullValueOrdering()

  Returns the meta object for the attribute '`Null Value Ordering`'.

  Returns:
    the meta object for the attribute 'Null Value Ordering'.
  See Also:
    `SortKey.getNullValueOrdering()`, `getSortKey()`

### getSortKey_Optional

    org.eclipse.emf.ecore.EAttribute getSortKey_Optional()

  Returns the meta object for the attribute '`Optional`'.

  Returns:
    the meta object for the attribute 'Optional'.
  See Also:
    `SortKey.isOptional()`, `getSortKey()`

### getSortSpecification

    org.eclipse.emf.ecore.EClass getSortSpecification()

  Returns the meta object for class '`Sort Specification`'.

  Returns:
    the meta object for class 'Sort Specification'.
  See Also:
    `SortSpecification`

### getSortSpecification_SortKeys

    org.eclipse.emf.ecore.EReference getSortSpecification_SortKeys()

  Returns the meta object for the containment reference list '`Sort Keys`'.

  Returns:
    the meta object for the containment reference list 'Sort Keys'.
  See Also:
    `SortSpecification.getSortKeys()`, `getSortSpecification()`

### getStaticValues

    org.eclipse.emf.ecore.EClass getStaticValues()

  Returns the meta object for class '`Static Values`'.

  Returns:
    the meta object for class 'Static Values'.
  See Also:
    `StaticValues`

### getStaticValues_Values

    org.eclipse.emf.ecore.EAttribute getStaticValues_Values()

  Returns the meta object for the attribute list '`Values`'.

  Returns:
    the meta object for the attribute list 'Values'.
  See Also:
    `StaticValues.getValues()`, `getStaticValues()`

### getValueFormatHints

    org.eclipse.emf.ecore.EClass getValueFormatHints()

  Returns the meta object for class '`Value Format Hints`'.

  Returns:
    the meta object for class 'Value Format Hints'.
  See Also:
    `ValueFormatHints`

### getValueFormatHints_DisplaySize

    org.eclipse.emf.ecore.EAttribute getValueFormatHints_DisplaySize()

  Returns the meta object for the attribute '`Display Size`'.

  Returns:
    the meta object for the attribute 'Display Size'.
  See Also:
    `ValueFormatHints.getDisplaySize()`, `getValueFormatHints()`

### getValueFormatHints_DisplayFormat

    org.eclipse.emf.ecore.EAttribute getValueFormatHints_DisplayFormat()

  Returns the meta object for the attribute '`Display Format`'.

  Returns:
    the meta object for the attribute 'Display Format'.
  See Also:
    `ValueFormatHints.getDisplayFormat()`, `getValueFormatHints()`

### getValueFormatHints_TextFormatType

    org.eclipse.emf.ecore.EAttribute getValueFormatHints_TextFormatType()

  Returns the meta object for the attribute '`Text Format Type`'.

  Returns:
    the meta object for the attribute 'Text Format Type'.
  See Also:
    `ValueFormatHints.getTextFormatType()`, `getValueFormatHints()`

### getValueFormatHints_HorizontalAlignment

    org.eclipse.emf.ecore.EAttribute getValueFormatHints_HorizontalAlignment()

  Returns the meta object for the attribute '`Horizontal Alignment`'.

  Returns:
    the meta object for the attribute 'Horizontal Alignment'.
  See Also:
    `ValueFormatHints.getHorizontalAlignment()`, `getValueFormatHints()`

### getValueFormatHints_TextWrapType

    org.eclipse.emf.ecore.EAttribute getValueFormatHints_TextWrapType()

  Returns the meta object for the attribute '`Text Wrap Type`'.

  Returns:
    the meta object for the attribute 'Text Wrap Type'.
  See Also:
    `ValueFormatHints.getTextWrapType()`, `getValueFormatHints()`

### getAxisType

    org.eclipse.emf.ecore.EEnum getAxisType()

  Returns the meta object for enum '`Axis Type`'.

  Returns:
    the meta object for enum 'Axis Type'.
  See Also:
    `AxisType`

### getElementNullability

    org.eclipse.emf.ecore.EEnum getElementNullability()

  Returns the meta object for enum '`Element Nullability`'.

  Returns:
    the meta object for enum 'Element Nullability'.
  See Also:
    `ElementNullability`

### getExpressionVariableType

    org.eclipse.emf.ecore.EEnum getExpressionVariableType()

  Returns the meta object for enum '`Expression Variable Type`'.

  Returns:
    the meta object for enum 'Expression Variable Type'.
  See Also:
    `ExpressionVariableType`

### getHorizontalAlignment

    org.eclipse.emf.ecore.EEnum getHorizontalAlignment()

  Returns the meta object for enum '`Horizontal Alignment`'.

  Returns:
    the meta object for enum 'Horizontal Alignment'.
  See Also:
    `HorizontalAlignment`

### getInputPromptControlStyle

    org.eclipse.emf.ecore.EEnum getInputPromptControlStyle()

  Returns the meta object for enum '`Input Prompt Control Style`'.

  Returns:
    the meta object for enum 'Input Prompt Control Style'.
  See Also:
    `InputPromptControlStyle`

### getNullOrderingType

    org.eclipse.emf.ecore.EEnum getNullOrderingType()

  Returns the meta object for enum '`Null Ordering Type`'.

  Returns:
    the meta object for enum 'Null Ordering Type'.
  See Also:
    `NullOrderingType`

### getOdaComplexDataType

    org.eclipse.emf.ecore.EEnum getOdaComplexDataType()

  Returns the meta object for enum '`Oda Complex Data Type`'.

  Returns:
    the meta object for enum 'Oda Complex Data Type'.
  See Also:
    `OdaComplexDataType`

### getOdaScalarDataType

    org.eclipse.emf.ecore.EEnum getOdaScalarDataType()

  Returns the meta object for enum '`Oda Scalar Data Type`'.

  Returns:
    the meta object for enum 'Oda Scalar Data Type'.
  See Also:
    `OdaScalarDataType`

### getParameterMode

    org.eclipse.emf.ecore.EEnum getParameterMode()

  Returns the meta object for enum '`Parameter Mode`'.

  Returns:
    the meta object for enum 'Parameter Mode'.
  See Also:
    `ParameterMode`

### getSessionStatus

    org.eclipse.emf.ecore.EEnum getSessionStatus()

  Returns the meta object for enum '`Session Status`'.

  Returns:
    the meta object for enum 'Session Status'.
  See Also:
    `SessionStatus`

### getSortDirectionType

    org.eclipse.emf.ecore.EEnum getSortDirectionType()

  Returns the meta object for enum '`Sort Direction Type`'.

  Returns:
    the meta object for enum 'Sort Direction Type'.
  See Also:
    `SortDirectionType`

### getTextFormatType

    org.eclipse.emf.ecore.EEnum getTextFormatType()

  Returns the meta object for enum '`Text Format Type`'.

  Returns:
    the meta object for enum 'Text Format Type'.
  See Also:
    `TextFormatType`

### getTextWrapType

    org.eclipse.emf.ecore.EEnum getTextWrapType()

  Returns the meta object for enum '`Text Wrap Type`'.

  Returns:
    the meta object for enum 'Text Wrap Type'.
  See Also:
    `TextWrapType`

### getAxisTypeObject

    org.eclipse.emf.ecore.EDataType getAxisTypeObject()

  Returns the meta object for data type '`Axis Type Object`'.

  Returns:
    the meta object for data type 'Axis Type Object'.
  See Also:
    `AxisType`

### getElementNullabilityObject

    org.eclipse.emf.ecore.EDataType getElementNullabilityObject()

  Returns the meta object for data type '`Element Nullability Object`'.

  Returns:
    the meta object for data type 'Element Nullability Object'.
  See Also:
    `ElementNullability`

### getExpressionVariableTypeObject

    org.eclipse.emf.ecore.EDataType getExpressionVariableTypeObject()

  Returns the meta object for data type '`Expression Variable Type Object`'.

  Returns:
    the meta object for data type 'Expression Variable Type Object'.
  See Also:
    `ExpressionVariableType`

### getHorizontalAlignmentObject

    org.eclipse.emf.ecore.EDataType getHorizontalAlignmentObject()

  Returns the meta object for data type '`Horizontal Alignment Object`'.

  Returns:
    the meta object for data type 'Horizontal Alignment Object'.
  See Also:
    `HorizontalAlignment`

### getInputPromptControlStyleObject

    org.eclipse.emf.ecore.EDataType getInputPromptControlStyleObject()

  Returns the meta object for data type '`Input Prompt Control Style Object`'.

  Returns:
    the meta object for data type 'Input Prompt Control Style Object'.
  See Also:
    `InputPromptControlStyle`

### getNullOrderingTypeObject

    org.eclipse.emf.ecore.EDataType getNullOrderingTypeObject()

  Returns the meta object for data type '`Null Ordering Type Object`'.

  Returns:
    the meta object for data type 'Null Ordering Type Object'.
  See Also:
    `NullOrderingType`

### getOdaComplexDataTypeObject

    org.eclipse.emf.ecore.EDataType getOdaComplexDataTypeObject()

  Returns the meta object for data type '`Oda Complex Data Type Object`'.

  Returns:
    the meta object for data type 'Oda Complex Data Type Object'.
  See Also:
    `OdaComplexDataType`

### getOdaScalarDataTypeObject

    org.eclipse.emf.ecore.EDataType getOdaScalarDataTypeObject()

  Returns the meta object for data type '`Oda Scalar Data Type Object`'.

  Returns:
    the meta object for data type 'Oda Scalar Data Type Object'.
  See Also:
    `OdaScalarDataType`

### getParameterModeObject

    org.eclipse.emf.ecore.EDataType getParameterModeObject()

  Returns the meta object for data type '`Parameter Mode Object`'.

  Returns:
    the meta object for data type 'Parameter Mode Object'.
  See Also:
    `ParameterMode`

### getSessionStatusObject

    org.eclipse.emf.ecore.EDataType getSessionStatusObject()

  Returns the meta object for data type '`Session Status Object`'.

  Returns:
    the meta object for data type 'Session Status Object'.
  See Also:
    `SessionStatus`

### getSortDirectionTypeObject

    org.eclipse.emf.ecore.EDataType getSortDirectionTypeObject()

  Returns the meta object for data type '`Sort Direction Type Object`'.

  Returns:
    the meta object for data type 'Sort Direction Type Object'.
  See Also:
    `SortDirectionType`

### getTextFormatTypeObject

    org.eclipse.emf.ecore.EDataType getTextFormatTypeObject()

  Returns the meta object for data type '`Text Format Type Object`'.

  Returns:
    the meta object for data type 'Text Format Type Object'.
  See Also:
    `TextFormatType`

### getTextWrapTypeObject

    org.eclipse.emf.ecore.EDataType getTextWrapTypeObject()

  Returns the meta object for data type '`Text Wrap Type Object`'.

  Returns:
    the meta object for data type 'Text Wrap Type Object'.
  See Also:
    `TextWrapType`

### getDesignFactory

    DesignFactory getDesignFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.